<?php
/**
 * Cleanup Script
 * LelangMobil Web App - Versi 2025
 * 
 * Script untuk membersihkan file-file yang tidak terkoneksi
 * dan memperbaiki duplikasi kode
 */

// Daftar file yang tidak digunakan dan dapat dihapus
$unused_files = [
    // File HTML yang tidak digunakan
    'index.html',
    'index-car-1.html',
    'index-expo-2.html',
    'index-expo-3.html',
    'index-expo-4.html',
    'blog-single.html',
    'contact.html',
    'gallery.html',
    'news.html',
    'tickets.html',
    
    // File PHP lama yang sudah digantikan
    'account.php.new',
    'bids-menu.php',
    'profile-menu.php',
    'topup-menu.php',
    'transactions-menu.php',
    'withdraw-menu.php',
    'wallet-tab.php',
    'shipping-tab.php',
    'resend_verification.php', // Digantikan oleh resend-verification.php
    
    // File utilitas yang hanya digunakan sekali
    'add_payment_proof_column.php',
    'check_database.php',
    'create_vehicle_image_dirs.php',
    'fix_active_auctions.php',
    'fix_all_issues.php',
    'fix_db_queries.php',
    'generate_badge_images.php',
    'generate_car_images.php',
    'generate_menu_images.php',
    'generate_placeholder.php',
    'import_vehicles.php',
    'run_import.php',
    'update_db_password_reset.php',
    'update_user_roles.php',
    'vehicle_image_generator.php',
    
    // File JavaScript yang tidak digunakan
    'form.js',
];

// Daftar file CSS yang tidak digunakan atau duplikat
$unused_css = [
    'account-fixes.css',
    'account-integration.css',
    'account-premium-inline.css',
    'account-ultra-modern.css',
    'activity-components.css',
    'auction-badges.css',
    'auction-widget-modern-2025.css',
    'auctions-modern-2025.css',
    'balance-components.css',
    'bid-cards.css',
    'bid-history.css',
    'bids-premium.css',
    'car-card.css',
    'coloring.css',
    'dashboard-premium-auto.css',
    'error-fix.css',
    'lelangmobil-dashboard.css',
    'lelangmobil-financial.css',
    'lelangmobil-modern.css',
    'menu-style.css',
    'modern-2025.css',
    'modern-account.css',
    'modern-background.css',
    'modern-dark-theme.css',
    'payment-premium.css',
    'premium-automotive-effects.css',
    'premium-dashboard.css',
    'profile-premium.css',
    'real-time-notifications.css',
    'topup-premium.css',
    'transaction-premium.css',
    'ultra-premium-account.css',
    'vehicle-modern-2025.css',
    'wallet-modern-2025.css',
    'wallet-premium.css',
    'withdraw-premium.css',
];

// Daftar file JavaScript yang tidak digunakan atau duplikat
$unused_js = [
    'account-dashboard.js',
    'account-modern-2025.js',
    'account-ultra-modern.js',
    'auction-wallet-connector.js',
    'custom-marquee.js',
    'custom.js',
    'dashboard-connection.js',
    'dashboard-controls.js',
    'designesia.js',
    'modern-2025.js',
    'modern-account.js',
    'modern-background.js',
    'notification-system-2025.js',
    'premium-animations.js',
    'premium-auction.js',
    'premium-tilt-effect.js',
    'transaction-modern-2025.js',
    'vehicle-auction-2025.js',
    'wallet-modern-2025.js',
];

// Fungsi untuk menghapus file
function delete_file($file) {
    if (file_exists($file)) {
        if (unlink($file)) {
            echo "Berhasil menghapus file: {$file}<br>";
        } else {
            echo "Gagal menghapus file: {$file}<br>";
        }
    } else {
        echo "File tidak ditemukan: {$file}<br>";
    }
}

// Hapus file yang tidak digunakan
echo "<h2>Menghapus file yang tidak digunakan</h2>";
foreach ($unused_files as $file) {
    delete_file($file);
}

// Hapus file CSS yang tidak digunakan
echo "<h2>Menghapus file CSS yang tidak digunakan</h2>";
foreach ($unused_css as $file) {
    delete_file("css/{$file}");
}

// Hapus file JavaScript yang tidak digunakan
echo "<h2>Menghapus file JavaScript yang tidak digunakan</h2>";
foreach ($unused_js as $file) {
    delete_file("js/{$file}");
}

echo "<h2>Pembersihan selesai</h2>";
echo "<p>Semua file yang tidak digunakan telah dihapus.</p>";
echo "<p><a href='index.php'>Kembali ke Beranda</a></p>";
?>