<?php
/**
 * Create Logs Directory
 * LelangMobil Web App - Versi 2025
 * 
 * Script untuk membuat direktori logs jika belum ada
 */

// Direktori log
$log_dir = __DIR__ . '/logs';

// Buat direktori log jika belum ada
if (!file_exists($log_dir)) {
    if (mkdir($log_dir, 0755, true)) {
        echo "Direktori logs berhasil dibuat.";
    } else {
        echo "Gagal membuat direktori logs.";
    }
} else {
    echo "Direktori logs sudah ada.";
}

// Buat file .gitkeep di direktori logs
$gitkeep_file = $log_dir . '/.gitkeep';
if (!file_exists($gitkeep_file)) {
    if (file_put_contents($gitkeep_file, '')) {
        echo "\nFile .gitkeep berhasil dibuat.";
    } else {
        echo "\nGagal membuat file .gitkeep.";
    }
} else {
    echo "\nFile .gitkeep sudah ada.";
}

// Buat file .htaccess untuk melindungi direktori logs
$htaccess_file = $log_dir . '/.htaccess';
if (!file_exists($htaccess_file)) {
    $htaccess_content = "# Deny access to all files in this directory\nDeny from all";
    if (file_put_contents($htaccess_file, $htaccess_content)) {
        echo "\nFile .htaccess berhasil dibuat.";
    } else {
        echo "\nGagal membuat file .htaccess.";
    }
} else {
    echo "\nFile .htaccess sudah ada.";
}
?>