<?php
/**
 * Featured Auctions Component
 * LelangMobil Web App - Versi 2025
 */
?>

<!-- Featured Auctions Section -->
<section class="featured-auctions section-padding" id="featured-auctions">
    <div class="container">
        <div class="section-title text-center" data-aos="fade-up">
            <span class="section-subtitle">Pilihan Terbaik</span>
            <h2>Lelang Terkini</h2>
            <p>Temukan berbagai pilihan kendaraan berkualitas dengan harga kompetitif</p>
        </div>
        
        <!-- Category Tabs -->
        <div class="category-tabs" data-aos="fade-up" data-aos-delay="100">
            <ul class="nav nav-pills mb-4 justify-content-center" id="auctionTabs" role="tablist">
                <li class="nav-item" role="presentation">
                    <button class="nav-link category-tab active" id="all-tab" data-bs-toggle="pill" data-bs-target="#all" type="button" role="tab" aria-controls="all" aria-selected="true" data-category="all">
                        <i class="fas fa-car-alt me-2"></i>Semua
                    </button>
                </li>
                <li class="nav-item" role="presentation">
                    <button class="nav-link category-tab" id="sedan-tab" data-bs-toggle="pill" data-bs-target="#sedan" type="button" role="tab" aria-controls="sedan" aria-selected="false" data-category="sedan">
                        <i class="fas fa-car me-2"></i>Sedan
                    </button>
                </li>
                <li class="nav-item" role="presentation">
                    <button class="nav-link category-tab" id="suv-tab" data-bs-toggle="pill" data-bs-target="#suv" type="button" role="tab" aria-controls="suv" aria-selected="false" data-category="suv">
                        <i class="fas fa-truck me-2"></i>SUV
                    </button>
                </li>
                <li class="nav-item" role="presentation">
                    <button class="nav-link category-tab" id="luxury-tab" data-bs-toggle="pill" data-bs-target="#luxury" type="button" role="tab" aria-controls="luxury" aria-selected="false" data-category="luxury">
                        <i class="fas fa-gem me-2"></i>Luxury
                    </button>
                </li>
                <li class="nav-item" role="presentation">
                    <button class="nav-link category-tab" id="sport-tab" data-bs-toggle="pill" data-bs-target="#sport" type="button" role="tab" aria-controls="sport" aria-selected="false" data-category="sport">
                        <i class="fas fa-tachometer-alt me-2"></i>Sport
                    </button>
                </li>
            </ul>
        </div>
        
        <!-- Tab Content -->
        <div class="tab-content" id="auctionTabContent">
            <!-- All Auctions -->
            <div class="tab-pane fade show active auction-category-container" id="all" role="tabpanel" aria-labelledby="all-tab" data-category="all">
                <div class="featured-carousel owl-carousel">
                    <!-- Auction Item 1 -->
                    <div class="auction-card" data-aos="fade-up" data-aos-delay="100">
                        <div class="auction-card-img">
                            <img src="images/cars/car-1.jpg" alt="Mercedes-Benz S-Class" onerror="this.src='images/car-placeholder.png';">
                            <div class="auction-time-left">
                                <i class="far fa-clock me-1"></i>
                                <span class="auction-countdown" data-end-time="2025-06-02T14:00:00">2h 30m</span>
                            </div>
                            <div class="auction-badge auction-badge-new">Baru</div>
                        </div>
                        <div class="auction-card-body">
                            <h3 class="auction-card-title">Mercedes-Benz S 450</h3>
                            <p class="auction-card-subtitle">2023 | 1,200 km | Automatic</p>
                            
                            <div class="auction-info">
                                <div class="auction-info-item">
                                    <div class="auction-info-label">Mulai Dari</div>
                                    <div class="auction-info-value">Rp 1.2M</div>
                                </div>
                                <div class="auction-info-item">
                                    <div class="auction-info-label">Bid Saat Ini</div>
                                    <div class="auction-info-value">12</div>
                                </div>
                                <div class="auction-info-item">
                                    <div class="auction-info-label">Status</div>
                                    <div class="auction-info-value text-success">Aktif</div>
                                </div>
                            </div>
                            
                            <div class="auction-current-bid">
                                Rp 1,345,000,000
                            </div>
                            
                            <div class="auction-card-actions">
                                <a href="auction-detail.php?id=1" class="btn-auction btn-primary-auction">
                                    <i class="fas fa-gavel me-2"></i>Ajukan Bid
                                </a>
                            </div>
                        </div>
                    </div>
                    
                    <!-- Auction Item 2 -->
                    <div class="auction-card" data-aos="fade-up" data-aos-delay="200">
                        <div class="auction-card-img">
                            <img src="images/cars/car-2.jpg" alt="BMW X5" onerror="this.src='images/car-placeholder.png';">
                            <div class="auction-time-left">
                                <i class="far fa-clock me-1"></i>
                                <span class="auction-countdown" data-end-time="2025-06-01T18:30:00">1h 15m</span>
                            </div>
                            <div class="auction-badge auction-badge-hot">Hot</div>
                        </div>
                        <div class="auction-card-body">
                            <h3 class="auction-card-title">BMW X5 xDrive40i</h3>
                            <p class="auction-card-subtitle">2022 | 8,500 km | Automatic</p>
                            
                            <div class="auction-info">
                                <div class="auction-info-item">
                                    <div class="auction-info-label">Mulai Dari</div>
                                    <div class="auction-info-value">Rp 900jt</div>
                                </div>
                                <div class="auction-info-item">
                                    <div class="auction-info-label">Bid Saat Ini</div>
                                    <div class="auction-info-value">18</div>
                                </div>
                                <div class="auction-info-item">
                                    <div class="auction-info-label">Status</div>
                                    <div class="auction-info-value text-success">Aktif</div>
                                </div>
                            </div>
                            
                            <div class="auction-current-bid">
                                Rp 1,150,000,000
                            </div>
                            
                            <div class="auction-card-actions">
                                <a href="auction-detail.php?id=2" class="btn-auction btn-primary-auction">
                                    <i class="fas fa-gavel me-2"></i>Ajukan Bid
                                </a>
                            </div>
                        </div>
                    </div>
                    
                    <!-- Auction Item 3 -->
                    <div class="auction-card" data-aos="fade-up" data-aos-delay="300">
                        <div class="auction-card-img">
                            <img src="images/cars/car-3.jpg" alt="Toyota Alphard" onerror="this.src='images/car-placeholder.png';">
                            <div class="auction-time-left">
                                <i class="far fa-clock me-1"></i>
                                <span class="auction-countdown" data-end-time="2025-06-03T09:15:00">3h 45m</span>
                            </div>
                        </div>
                        <div class="auction-card-body">
                            <h3 class="auction-card-title">Toyota Alphard Hybrid</h3>
                            <p class="auction-card-subtitle">2022 | 5,200 km | Automatic</p>
                            
                            <div class="auction-info">
                                <div class="auction-info-item">
                                    <div class="auction-info-label">Mulai Dari</div>
                                    <div class="auction-info-value">Rp 1.1M</div>
                                </div>
                                <div class="auction-info-item">
                                    <div class="auction-info-label">Bid Saat Ini</div>
                                    <div class="auction-info-value">9</div>
                                </div>
                                <div class="auction-info-item">
                                    <div class="auction-info-label">Status</div>
                                    <div class="auction-info-value text-success">Aktif</div>
                                </div>
                            </div>
                            
                            <div class="auction-current-bid">
                                Rp 1,290,000,000
                            </div>
                            
                            <div class="auction-card-actions">
                                <a href="auction-detail.php?id=3" class="btn-auction btn-primary-auction">
                                    <i class="fas fa-gavel me-2"></i>Ajukan Bid
                                </a>
                            </div>
                        </div>
                    </div>
                    
                    <!-- Auction Item 4 -->
                    <div class="auction-card" data-aos="fade-up" data-aos-delay="400">
                        <div class="auction-card-img">
                            <img src="images/cars/car-4.jpg" alt="Honda Civic Type R" onerror="this.src='images/car-placeholder.png';">
                            <div class="auction-time-left">
                                <i class="far fa-clock me-1"></i>
                                <span class="auction-countdown" data-end-time="2025-06-02T22:00:00">2h 15m</span>
                            </div>
                            <div class="auction-badge auction-badge-hot">Hot</div>
                        </div>
                        <div class="auction-card-body">
                            <h3 class="auction-card-title">Honda Civic Type R</h3>
                            <p class="auction-card-subtitle">2023 | 3,800 km | Manual</p>
                            
                            <div class="auction-info">
                                <div class="auction-info-item">
                                    <div class="auction-info-label">Mulai Dari</div>
                                    <div class="auction-info-value">Rp 800jt</div>
                                </div>
                                <div class="auction-info-item">
                                    <div class="auction-info-label">Bid Saat Ini</div>
                                    <div class="auction-info-value">22</div>
                                </div>
                                <div class="auction-info-item">
                                    <div class="auction-info-label">Status</div>
                                    <div class="auction-info-value text-success">Aktif</div>
                                </div>
                            </div>
                            
                            <div class="auction-current-bid">
                                Rp 950,000,000
                            </div>
                            
                            <div class="auction-card-actions">
                                <a href="auction-detail.php?id=4" class="btn-auction btn-primary-auction">
                                    <i class="fas fa-gavel me-2"></i>Ajukan Bid
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
                
                <div class="text-center mt-4" data-aos="fade-up">
                    <a href="auctions.php" class="btn btn-outline-primary btn-lg">
                        <i class="fas fa-search me-2"></i>Lihat Semua Lelang
                    </a>
                </div>
            </div>
            
            <!-- Other category tabs content would go here -->
            <!-- For simplicity, we're only fully implementing the "All" tab -->
            <div class="tab-pane fade auction-category-container" id="sedan" role="tabpanel" aria-labelledby="sedan-tab" data-category="sedan">
                <div class="text-center py-5">
                    <p>Memuat lelang kategori Sedan...</p>
                </div>
            </div>
            
            <div class="tab-pane fade auction-category-container" id="suv" role="tabpanel" aria-labelledby="suv-tab" data-category="suv">
                <div class="text-center py-5">
                    <p>Memuat lelang kategori SUV...</p>
                </div>
            </div>
            
            <div class="tab-pane fade auction-category-container" id="luxury" role="tabpanel" aria-labelledby="luxury-tab" data-category="luxury">
                <div class="text-center py-5">
                    <p>Memuat lelang kategori Luxury...</p>
                </div>
            </div>
            
            <div class="tab-pane fade auction-category-container" id="sport" role="tabpanel" aria-labelledby="sport-tab" data-category="sport">
                <div class="text-center py-5">
                    <p>Memuat lelang kategori Sport...</p>
                </div>
            </div>
        </div>
    </div>
</section>
