<?php
/**
 * Fix Database Queries
 * LelangMobil Web App - Versi 2025
 */

// Aktifkan error reporting dan logging
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Include database connection
require_once 'config/database.php';

// Check if current_bid column exists in vehicles table
$check_current_bid_sql = "SHOW COLUMNS FROM vehicles LIKE 'current_bid'";
$check_current_bid_result = $conn->query($check_current_bid_sql);

if ($check_current_bid_result->num_rows == 0) {
    // Add current_bid column if it doesn't exist
    $add_current_bid_sql = "ALTER TABLE vehicles ADD COLUMN current_bid DECIMAL(10, 2) DEFAULT NULL AFTER current_price";
    
    if ($conn->query($add_current_bid_sql) === TRUE) {
        echo "Success: Added current_bid column to vehicles table.<br>";
        
        // Update current_bid with values from current_price
        $update_current_bid_sql = "UPDATE vehicles SET current_bid = current_price WHERE current_price IS NOT NULL";
        if ($conn->query($update_current_bid_sql) === TRUE) {
            echo "Success: Updated current_bid values from current_price.<br>";
        } else {
            echo "Error updating current_bid values: " . $conn->error . "<br>";
        }
    } else {
        echo "Error adding current_bid column: " . $conn->error . "<br>";
    }
} else {
    echo "Column current_bid already exists in vehicles table.<br>";
}

// Check if image_main column exists in vehicles table
$check_image_main_sql = "SHOW COLUMNS FROM vehicles LIKE 'image_main'";
$check_image_main_result = $conn->query($check_image_main_sql);

if ($check_image_main_result->num_rows == 0) {
    // Add image_main column if it doesn't exist
    $add_image_main_sql = "ALTER TABLE vehicles ADD COLUMN image_main VARCHAR(255) DEFAULT NULL AFTER image";
    
    if ($conn->query($add_image_main_sql) === TRUE) {
        echo "Success: Added image_main column to vehicles table.<br>";
        
        // Update image_main with values from image
        $update_image_main_sql = "UPDATE vehicles SET image_main = image WHERE image IS NOT NULL";
        if ($conn->query($update_image_main_sql) === TRUE) {
            echo "Success: Updated image_main values from image.<br>";
        } else {
            echo "Error updating image_main values: " . $conn->error . "<br>";
        }
    } else {
        echo "Error adding image_main column: " . $conn->error . "<br>";
    }
} else {
    echo "Column image_main already exists in vehicles table.<br>";
}

// Check if brand column exists in vehicles table
$check_brand_sql = "SHOW COLUMNS FROM vehicles LIKE 'brand'";
$check_brand_result = $conn->query($check_brand_sql);

if ($check_brand_result->num_rows == 0) {
    // Add brand column if it doesn't exist
    $add_brand_sql = "ALTER TABLE vehicles ADD COLUMN brand VARCHAR(50) DEFAULT NULL AFTER make";
    
    if ($conn->query($add_brand_sql) === TRUE) {
        echo "Success: Added brand column to vehicles table.<br>";
        
        // Update brand with values from make
        $update_brand_sql = "UPDATE vehicles SET brand = make WHERE make IS NOT NULL";
        if ($conn->query($update_brand_sql) === TRUE) {
            echo "Success: Updated brand values from make.<br>";
        } else {
            echo "Error updating brand values: " . $conn->error . "<br>";
        }
    } else {
        echo "Error adding brand column: " . $conn->error . "<br>";
    }
} else {
    echo "Column brand already exists in vehicles table.<br>";
}

// Check if starting_price column exists in vehicles table
$check_starting_price_sql = "SHOW COLUMNS FROM vehicles LIKE 'starting_price'";
$check_starting_price_result = $conn->query($check_starting_price_sql);

if ($check_starting_price_result->num_rows == 0) {
    // Add starting_price column if it doesn't exist
    $add_starting_price_sql = "ALTER TABLE vehicles ADD COLUMN starting_price DECIMAL(10, 2) DEFAULT NULL AFTER start_price";
    
    if ($conn->query($add_starting_price_sql) === TRUE) {
        echo "Success: Added starting_price column to vehicles table.<br>";
        
        // Update starting_price with values from start_price
        $update_starting_price_sql = "UPDATE vehicles SET starting_price = start_price WHERE start_price IS NOT NULL";
        if ($conn->query($update_starting_price_sql) === TRUE) {
            echo "Success: Updated starting_price values from start_price.<br>";
        } else {
            echo "Error updating starting_price values: " . $conn->error . "<br>";
        }
    } else {
        echo "Error adding starting_price column: " . $conn->error . "<br>";
    }
} else {
    echo "Column starting_price already exists in vehicles table.<br>";
}

echo "<br>Database fixes completed!";
?>