<?php
// Generate a placeholder image for vehicles without images
// This will create a generic professional looking car placeholder

// Create image directory if it doesn't exist
if (!file_exists('images/cars')) {
    mkdir('images/cars', 0755, true);
}

// Create a colored image
$width = 800;
$height = 500;
$img = imagecreatetruecolor($width, $height);

// Color allocation
$bg_color = imagecolorallocate($img, 30, 50, 80); // Dark blue background
$text_color = imagecolorallocate($img, 255, 255, 255); // White text
$accent_color = imagecolorallocate($img, 233, 160, 50); // Orange accent

// Fill background
imagefill($img, 0, 0, $bg_color);

// Draw a car silhouette
$silhouette_color = imagecolorallocate($img, 20, 30, 50); // Darker blue
imagefilledrectangle($img, 200, 300, 600, 350, $silhouette_color); // Car body
imagefilledrectangle($img, 250, 220, 550, 300, $silhouette_color); // Car cabin
imagefilledellipse($img, 250, 350, 80, 80, $accent_color); // Left wheel
imagefilledellipse($img, 550, 350, 80, 80, $accent_color); // Right wheel

// Add "LelangMobil" Text
$text = "LelangMobil";
$font_size = 5; // Large font size

// Center the text
$text_width = strlen($text) * imagefontwidth($font_size);
$text_x = intval(($width - $text_width) / 2);

// Position text
imagestring($img, $font_size, $text_x, 100, $text, $text_color);

// Add "Foto Belum Tersedia" Text
$subtext = "Foto Kendaraan Belum Tersedia";
$font_size_small = 3;
$subtext_width = strlen($subtext) * imagefontwidth($font_size_small);
$subtext_x = intval(($width - $subtext_width) / 2);
imagestring($img, $font_size_small, $subtext_x, 140, $subtext, $text_color);

// Add decorative elements
imagerectangle($img, 50, 50, $width-50, $height-50, $accent_color);
imagerectangle($img, 55, 55, $width-55, $height-55, $accent_color);

// Save the image
imagejpeg($img, 'images/cars/placeholder.jpg', 90);
imagedestroy($img);

echo "Placeholder image created successfully at images/cars/placeholder.jpg";
?>
