-- SQL Script to import vehicle data for LelangMobil
-- Created based on JBA-style auction listings

-- Insert vehicles
INSERT INTO vehicles (
    title, description, make, model, year, mileage, condition_rating,
    starting_price, reserve_price, auction_start, auction_end,
    status, seller_id
) VALUES
-- Vehicle 1: Toyota Avanza
(
    'Toyota Avanza Veloz 1.5 AT 2022',
    'Toyota Avanza Veloz 1.5 AT 2022 dalam kondisi sangat baik. Mobil ini memiliki transmisi otomatis, AC dingin, interior terawat, dan eksterior mulus tanpa goresan. Surat-surat lengkap, pajak aktif, dan servis rutin di bengkel resmi Toyota.',
    'Toyota',
    'Avanza Veloz',
    2022,
    25000,
    9,
    195000000,
    210000000,
    NOW(),
    DATE_ADD(NOW(), INTERVAL 7 DAY),
    'active',
    1
),
-- Vehicle 2: Honda Civic
(
    'Honda Civic RS Turbo 2021',
    'Honda Civic RS Turbo 2021 dengan fitur canggih dan performa tinggi. Mobil sport dengan mesin turbo 1.5L bertenaga 173 PS yang responsif. Interior premium dengan layar sentuh dan Apple CarPlay/Android Auto. Kondisi seperti baru dan siap pakai.',
    'Honda',
    'Civic RS Turbo',
    2021,
    15000,
    9,

    385000000,
    400000000,
    NOW(),
    DATE_ADD(NOW(), INTERVAL 5 DAY),
    'active',
    1
),
-- Vehicle 3: BMW 320i
(
    'BMW 320i Sport 2020',
    'BMW 320i Sport 2020 dengan performa premium dan fitur mewah. Mobil sport sedan dengan mesin 2.0L bertenaga 184 HP yang responsif. Interior premium dengan layar sentuh dan sistem navigasi. Kondisi seperti baru dan siap pakai.',
    'BMW',
    '320i Sport',
    2020,
    18000,
    9,
    'Sedan',
    'Bensin',
    'Otomatis',
    'Putih',
    1998,
    680000000,
    700000000,
    NOW(),
    DATE_ADD(NOW(), INTERVAL 6 DAY),
    'active',
    1,

),
-- Vehicle 4: Toyota Fortuner
(
    'Toyota Fortuner VRZ 2.4 2021',
    'Toyota Fortuner VRZ 2.4 2021 hadir dengan desain tangguh dan performa handal. SUV premium dengan mesin diesel 2.4L bertenaga 149 PS. Interior mewah dengan 7 tempat duduk nyaman. Fitur lengkap dan kondisi terawat.',
    'Toyota',
    'Fortuner VRZ',
    2021,
    32000,
    8,
    'SUV',
    'Solar',
    'Otomatis',
    'Hitam',
    2393,
    490000000,
    510000000,
    NOW(),
    DATE_ADD(NOW(), INTERVAL 4 DAY),
    'active',
    1,
    'Bandung'
),
-- Vehicle 5: Honda HR-V
(
    'Honda HR-V 1.5 E CVT 2022',
    'Honda HR-V 1.5 E CVT 2022 dengan desain modern dan efisiensi bahan bakar tinggi. SUV kompak dengan performa handal dan fitur canggih. Interior nyaman dengan layar sentuh dan konektivitas smartphone. Kondisi sangat terawat.',
    'Honda',
    'HR-V E CVT',
    2022,
    12000,
    9,
    'SUV',
    'Bensin',
    'CVT',
    'Abu-abu',
    1498,
    345000000,
    360000000,
    NOW(),
    DATE_ADD(NOW(), INTERVAL 8 DAY),
    'active',
    1
),
-- Vehicle 6: Mitsubishi Pajero
(
    'Mitsubishi Pajero Sport Dakar 2020',
    'Mitsubishi Pajero Sport Dakar 2020 dengan tampilan gagah dan fitur lengkap. SUV tangguh dengan mesin diesel 2.4L bertenaga 178 PS. Interior premium dengan 7 tempat duduk nyaman. Kondisi sangat baik dan siap digunakan.',
    'Mitsubishi',
    'Pajero Sport Dakar',
    2020,
    38000,
    8,
    475000000,
    495000000,
    NOW(),
    DATE_ADD(NOW(), INTERVAL 3 DAY),
    'active',
    1
),
-- Vehicle 7: Suzuki XL7
(
    'Suzuki XL7 Alpha 2021',
    'Suzuki XL7 Alpha 2021 dengan desain sporty dan kabin lapang. Crossover 7-seater dengan mesin 1.5L bertenaga 104 PS. Interior nyaman dengan layar sentuh dan konektivitas smartphone. Kondisi sangat baik dan siap digunakan.',
    'Suzuki',
    'XL7 Alpha',
    2021,
    22000,
    8,
    'SUV',
    'Bensin',
    'Otomatis',
    'Merah',
    1462,
    240000000,
    255000000,
    NOW(),
    DATE_ADD(NOW(), INTERVAL 6 DAY),
    'active',
    1,
    'Bandung'
),
-- Vehicle 8: Mercedes-Benz
(
    'Mercedes-Benz C200 AMG Line 2021',
    'Mercedes-Benz C200 AMG Line 2021 dengan tampilan mewah dan performa tinggi. Sedan premium dengan mesin 1.5L turbo bertenaga 184 HP. Interior premium dengan layar digital dan fitur canggih. Kondisi istimewa dengan kilometer rendah.',
    'Mercedes-Benz',
    'C200 AMG Line',
    2021,
    9000,
    10,
    'Sedan',
    'Bensin',
    'Otomatis',
    'Hitam',
    1497,
    850000000,
    875000000,
    NOW(),
    DATE_ADD(NOW(), INTERVAL 10 DAY),
    'active',
    1,

),
-- Vehicle 9: Wuling Almaz
(
    'Wuling Almaz RS 2022',
    'Wuling Almaz RS 2022 dengan fitur canggih dan teknologi terdepan. SUV premium dengan mesin 1.5L turbo bertenaga 140 PS. Interior mewah dengan voice command dan smart connectivity. Kondisi sangat terawat dan siap pakai.',
    'Wuling',
    'Almaz RS',
    2022,
    15000,
    9,
    275000000,
    290000000,
    NOW(),
    DATE_ADD(NOW(), INTERVAL 5 DAY),
    'active',
    1
),
-- Vehicle 10: Mazda CX-5
(
    'Mazda CX-5 Elite 2020',
    'Mazda CX-5 Elite 2020 dengan desain elegan dan performa prima. SUV premium dengan mesin 2.5L bertenaga 187 HP. Interior mewah dengan material berkualitas tinggi. Kilometer rendah dan kondisi sangat baik.',
    'Mazda',
    'CX-5 Elite',
    2020,
    21000,
    9,
    420000000,
    440000000,
    NOW(),
    DATE_ADD(NOW(), INTERVAL 7 DAY),
    'active',
    1
);

-- Insert vehicle images (after vehicles are inserted)
INSERT INTO vehicle_images (vehicle_id, image_url, is_main)
SELECT 
    LAST_INSERT_ID() - 9, 'images/cars/avanza_veloz_1.jpg', 1
UNION SELECT 
    LAST_INSERT_ID() - 9, 'images/cars/avanza_veloz_2.jpg', 0
UNION SELECT 
    LAST_INSERT_ID() - 9, 'images/cars/avanza_veloz_3.jpg', 0
    
UNION SELECT 
    LAST_INSERT_ID() - 8, 'images/cars/civic_rs_1.jpg', 1
UNION SELECT 
    LAST_INSERT_ID() - 8, 'images/cars/civic_rs_2.jpg', 0
UNION SELECT 
    LAST_INSERT_ID() - 8, 'images/cars/civic_rs_3.jpg', 0
    
UNION SELECT 
    LAST_INSERT_ID() - 7, 'images/cars/bmw_320i_1.jpg', 1
UNION SELECT 
    LAST_INSERT_ID() - 7, 'images/cars/bmw_320i_2.jpg', 0
UNION SELECT 
    LAST_INSERT_ID() - 7, 'images/cars/bmw_320i_3.jpg', 0
    
UNION SELECT 
    LAST_INSERT_ID() - 6, 'images/cars/fortuner_vrz_1.jpg', 1
UNION SELECT 
    LAST_INSERT_ID() - 6, 'images/cars/fortuner_vrz_2.jpg', 0
UNION SELECT 
    LAST_INSERT_ID() - 6, 'images/cars/fortuner_vrz_3.jpg', 0
    
UNION SELECT 
    LAST_INSERT_ID() - 5, 'images/cars/hrv_1.jpg', 1
UNION SELECT 
    LAST_INSERT_ID() - 5, 'images/cars/hrv_2.jpg', 0
UNION SELECT 
    LAST_INSERT_ID() - 5, 'images/cars/hrv_3.jpg', 0
    
UNION SELECT 
    LAST_INSERT_ID() - 4, 'images/cars/pajero_sport_1.jpg', 1
UNION SELECT 
    LAST_INSERT_ID() - 4, 'images/cars/pajero_sport_2.jpg', 0
UNION SELECT 
    LAST_INSERT_ID() - 4, 'images/cars/pajero_sport_3.jpg', 0
    
UNION SELECT 
    LAST_INSERT_ID() - 3, 'images/cars/xl7_1.jpg', 1
UNION SELECT 
    LAST_INSERT_ID() - 3, 'images/cars/xl7_2.jpg', 0
UNION SELECT 
    LAST_INSERT_ID() - 3, 'images/cars/xl7_3.jpg', 0
    
UNION SELECT 
    LAST_INSERT_ID() - 2, 'images/cars/mercedes_c200_1.jpg', 1
UNION SELECT 
    LAST_INSERT_ID() - 2, 'images/cars/mercedes_c200_2.jpg', 0
UNION SELECT 
    LAST_INSERT_ID() - 2, 'images/cars/mercedes_c200_3.jpg', 0
    
UNION SELECT 
    LAST_INSERT_ID() - 1, 'images/cars/wuling_almaz_1.jpg', 1
UNION SELECT 
    LAST_INSERT_ID() - 1, 'images/cars/wuling_almaz_2.jpg', 0
UNION SELECT 
    LAST_INSERT_ID() - 1, 'images/cars/wuling_almaz_3.jpg', 0
    
UNION SELECT 
    LAST_INSERT_ID(), 'images/cars/mazda_cx5_1.jpg', 1
UNION SELECT 
    LAST_INSERT_ID(), 'images/cars/mazda_cx5_2.jpg', 0
UNION SELECT 
    LAST_INSERT_ID(), 'images/cars/mazda_cx5_3.jpg', 0;

-- Insert vehicle specifications
INSERT INTO vehicle_specs (vehicle_id, spec_name, spec_value)
SELECT
    LAST_INSERT_ID() - 9, 'Kapasitas Mesin', '1496 cc'
UNION SELECT
    LAST_INSERT_ID() - 9, 'Tenaga Maksimum', '106 PS'
UNION SELECT
    LAST_INSERT_ID() - 9, 'Jumlah Tempat Duduk', '7'
UNION SELECT
    LAST_INSERT_ID() - 9, 'Kapasitas Tangki', '43 Liter'
    
UNION SELECT
    LAST_INSERT_ID() - 8, 'Kapasitas Mesin', '1498 cc'
UNION SELECT
    LAST_INSERT_ID() - 8, 'Tenaga Maksimum', '173 PS'
UNION SELECT
    LAST_INSERT_ID() - 8, 'Torsi Maksimum', '220 Nm'
UNION SELECT
    LAST_INSERT_ID() - 8, 'Jumlah Tempat Duduk', '5'
UNION SELECT
    LAST_INSERT_ID() - 8, 'Kapasitas Tangki', '47 Liter'
    
UNION SELECT
    LAST_INSERT_ID() - 7, 'Kapasitas Mesin', '1998 cc'
UNION SELECT
    LAST_INSERT_ID() - 7, 'Tenaga Maksimum', '184 HP'
UNION SELECT
    LAST_INSERT_ID() - 7, 'Torsi Maksimum', '300 Nm'
UNION SELECT
    LAST_INSERT_ID() - 7, 'Jumlah Tempat Duduk', '5'
UNION SELECT
    LAST_INSERT_ID() - 7, 'Kapasitas Tangki', '59 Liter'
    
UNION SELECT
    LAST_INSERT_ID() - 6, 'Kapasitas Mesin', '2393 cc'
UNION SELECT
    LAST_INSERT_ID() - 6, 'Tenaga Maksimum', '149 PS'
UNION SELECT
    LAST_INSERT_ID() - 6, 'Torsi Maksimum', '400 Nm'
UNION SELECT
    LAST_INSERT_ID() - 6, 'Jumlah Tempat Duduk', '7'
UNION SELECT
    LAST_INSERT_ID() - 6, 'Kapasitas Tangki', '80 Liter'
    
UNION SELECT
    LAST_INSERT_ID() - 5, 'Kapasitas Mesin', '1498 cc'
UNION SELECT
    LAST_INSERT_ID() - 5, 'Tenaga Maksimum', '121 PS'
UNION SELECT
    LAST_INSERT_ID() - 5, 'Torsi Maksimum', '145 Nm'
UNION SELECT
    LAST_INSERT_ID() - 5, 'Jumlah Tempat Duduk', '5'
UNION SELECT
    LAST_INSERT_ID() - 5, 'Kapasitas Tangki', '40 Liter'
    
UNION SELECT
    LAST_INSERT_ID() - 4, 'Kapasitas Mesin', '2442 cc'
UNION SELECT
    LAST_INSERT_ID() - 4, 'Tenaga Maksimum', '178 PS'
UNION SELECT
    LAST_INSERT_ID() - 4, 'Torsi Maksimum', '430 Nm'
UNION SELECT
    LAST_INSERT_ID() - 4, 'Jumlah Tempat Duduk', '7'
UNION SELECT
    LAST_INSERT_ID() - 4, 'Kapasitas Tangki', '68 Liter'
    
UNION SELECT
    LAST_INSERT_ID() - 3, 'Kapasitas Mesin', '1462 cc'
UNION SELECT
    LAST_INSERT_ID() - 3, 'Tenaga Maksimum', '104 PS'
UNION SELECT
    LAST_INSERT_ID() - 3, 'Torsi Maksimum', '138 Nm'
UNION SELECT
    LAST_INSERT_ID() - 3, 'Jumlah Tempat Duduk', '7'
UNION SELECT
    LAST_INSERT_ID() - 3, 'Kapasitas Tangki', '45 Liter'
    
UNION SELECT
    LAST_INSERT_ID() - 2, 'Kapasitas Mesin', '1497 cc'
UNION SELECT
    LAST_INSERT_ID() - 2, 'Tenaga Maksimum', '184 HP'
UNION SELECT
    LAST_INSERT_ID() - 2, 'Torsi Maksimum', '280 Nm'
UNION SELECT
    LAST_INSERT_ID() - 2, 'Jumlah Tempat Duduk', '5'
UNION SELECT
    LAST_INSERT_ID() - 2, 'Kapasitas Tangki', '66 Liter'
    
UNION SELECT
    LAST_INSERT_ID() - 1, 'Kapasitas Mesin', '1451 cc'
UNION SELECT
    LAST_INSERT_ID() - 1, 'Tenaga Maksimum', '140 PS'
UNION SELECT
    LAST_INSERT_ID() - 1, 'Torsi Maksimum', '250 Nm'
UNION SELECT
    LAST_INSERT_ID() - 1, 'Jumlah Tempat Duduk', '7'
UNION SELECT
    LAST_INSERT_ID() - 1, 'Kapasitas Tangki', '60 Liter'
    
UNION SELECT
    LAST_INSERT_ID(), 'Kapasitas Mesin', '2488 cc'
UNION SELECT
    LAST_INSERT_ID(), 'Tenaga Maksimum', '187 HP'
UNION SELECT
    LAST_INSERT_ID(), 'Torsi Maksimum', '252 Nm'
UNION SELECT
    LAST_INSERT_ID(), 'Jumlah Tempat Duduk', '5'
UNION SELECT
    LAST_INSERT_ID(), 'Kapasitas Tangki', '58 Liter';

-- Check if vehicle_features table exists
CREATE TABLE IF NOT EXISTS vehicle_features (
    feature_id INT AUTO_INCREMENT PRIMARY KEY,
    vehicle_id INT,
    feature_name VARCHAR(100) NOT NULL,
    feature_icon VARCHAR(50) DEFAULT 'fa-check',
    is_highlighted BOOLEAN DEFAULT FALSE,
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    FOREIGN KEY (vehicle_id) REFERENCES vehicles(vehicle_id) ON DELETE CASCADE
);

-- Insert vehicle features
INSERT INTO vehicle_features (vehicle_id, feature_name, feature_icon, is_highlighted)
SELECT
    LAST_INSERT_ID() - 9, 'AC', 'fa-snowflake', 1
UNION SELECT
    LAST_INSERT_ID() - 9, 'Power Steering', 'fa-steering-wheel', 1
UNION SELECT
    LAST_INSERT_ID() - 9, 'Power Window', 'fa-window-maximize', 1
UNION SELECT
    LAST_INSERT_ID() - 9, 'Central Lock', 'fa-lock', 0
UNION SELECT
    LAST_INSERT_ID() - 9, 'Audio System', 'fa-music', 0
UNION SELECT
    LAST_INSERT_ID() - 9, 'Airbag', 'fa-shield-alt', 0
UNION SELECT
    LAST_INSERT_ID() - 9, 'Electric Mirror', 'fa-mirror', 0
    
UNION SELECT
    LAST_INSERT_ID() - 8, 'AC', 'fa-snowflake', 1
UNION SELECT
    LAST_INSERT_ID() - 8, 'Power Steering', 'fa-steering-wheel', 1
UNION SELECT
    LAST_INSERT_ID() - 8, 'Power Window', 'fa-window-maximize', 1
UNION SELECT
    LAST_INSERT_ID() - 8, 'Central Lock', 'fa-lock', 0
UNION SELECT
    LAST_INSERT_ID() - 8, 'Audio System', 'fa-music', 0
UNION SELECT
    LAST_INSERT_ID() - 8, 'Airbag', 'fa-shield-alt', 0
UNION SELECT
    LAST_INSERT_ID() - 8, 'Electric Mirror', 'fa-mirror', 0
UNION SELECT
    LAST_INSERT_ID() - 8, 'Parking Camera', 'fa-camera', 0
UNION SELECT
    LAST_INSERT_ID() - 8, 'Keyless Entry', 'fa-key', 0
UNION SELECT
    LAST_INSERT_ID() - 8, 'Push Start Button', 'fa-power-off', 0
    
UNION SELECT
    LAST_INSERT_ID() - 7, 'AC', 'fa-snowflake', 1
UNION SELECT
    LAST_INSERT_ID() - 7, 'Power Steering', 'fa-steering-wheel', 1
UNION SELECT
    LAST_INSERT_ID() - 7, 'Power Window', 'fa-window-maximize', 1
UNION SELECT
    LAST_INSERT_ID() - 7, 'Central Lock', 'fa-lock', 0
UNION SELECT
    LAST_INSERT_ID() - 7, 'Audio System', 'fa-music', 0
UNION SELECT
    LAST_INSERT_ID() - 7, 'Airbag', 'fa-shield-alt', 0
UNION SELECT
    LAST_INSERT_ID() - 7, 'Electric Mirror', 'fa-mirror', 0
UNION SELECT
    LAST_INSERT_ID() - 7, 'Parking Camera', 'fa-camera', 0
UNION SELECT
    LAST_INSERT_ID() - 7, 'Keyless Entry', 'fa-key', 0
UNION SELECT
    LAST_INSERT_ID() - 7, 'Push Start Button', 'fa-power-off', 0
UNION SELECT
    LAST_INSERT_ID() - 7, 'Navigation System', 'fa-map-marked', 0
UNION SELECT
    LAST_INSERT_ID() - 7, 'Bluetooth Connection', 'fa-bluetooth', 0;

-- Create placeholder images folder if it doesn't exist
-- (This would typically be done in PHP, as SQL can't create folders)
