<?php
/**
 * CSS Loader
 * LelangMobil Web App - Versi 2025
 * 
 * File ini digunakan untuk memuat file CSS dengan minifikasi
 */

// Daftar file CSS yang akan dimuat
$css_files = [
    'css/bootstrap.min.css',
    'css/modern-integrated.css'
];

// Tambahkan file CSS spesifik halaman jika ada
if (isset($page_specific_css_files) && is_array($page_specific_css_files)) {
    $css_files = array_merge($css_files, $page_specific_css_files);
}

// Konversi path relatif ke path absolut
$absolute_css_files = [];
foreach ($css_files as $file) {
    $absolute_css_files[] = dirname(__DIR__) . '/' . $file;
}

// Gunakan file CSS yang sudah diminifikasi jika dalam mode production
if (defined('IS_PRODUCTION') && IS_PRODUCTION) {
    // Generate nama file berdasarkan halaman
    $page_name = basename($_SERVER['PHP_SELF'], '.php');
    $output_file = $page_name . '.min.css';
    
    // Dapatkan URL file CSS yang sudah diminifikasi
    $css_url = get_minified_css($absolute_css_files, $output_file);
    
    // Output tag link
    echo '<link rel="stylesheet" href="' . $css_url . '">';
} else {
    // Output tag link untuk setiap file CSS
    foreach ($css_files as $file) {
        echo '<link rel="stylesheet" href="' . $file . '">';
    }
}

// Tambahkan Font Awesome
echo '<link rel="stylesheet" href="fonts/font-awesome/css/all.min.css">';

// Tambahkan CSS inline spesifik halaman jika ada
if (isset($page_specific_css)) {
    echo $page_specific_css;
}
?>