<?php
/**
 * JavaScript Loader
 * LelangMobil Web App - Versi 2025
 * 
 * File ini digunakan untuk memuat file JavaScript dengan minifikasi
 */

// Daftar file JavaScript yang akan dimuat
$js_files = [
    'js/bootstrap.bundle.min.js',
    'js/dom-fix.js',
    'js/error-handler.js',
    'js/page-loader.js',
    'js/modern-theme-activator.js',
    'js/form-validator.js',
    'js/responsive-handler.js',
    'js/image-lazy-loader.js',
    'js/theme-switcher.js',
    'js/notification-system.js',
    'js/websocket-handler.js',
    'js/register-service-worker.js',
    'js/modern-effects.js',
    'js/back-to-top.js',
    'js/cleanup.js'
];

// Tambahkan file JavaScript spesifik halaman jika ada
if (isset($page_specific_js_files) && is_array($page_specific_js_files)) {
    $js_files = array_merge($js_files, $page_specific_js_files);
}

// Konversi path relatif ke path absolut
$absolute_js_files = [];
foreach ($js_files as $file) {
    $absolute_js_files[] = dirname(__DIR__) . '/' . $file;
}

// Gunakan file JavaScript yang sudah diminifikasi jika dalam mode production
if (defined('IS_PRODUCTION') && IS_PRODUCTION) {
    // Generate nama file berdasarkan halaman
    $page_name = basename($_SERVER['PHP_SELF'], '.php');
    $output_file = $page_name . '.min.js';
    
    // Dapatkan URL file JavaScript yang sudah diminifikasi
    $js_url = get_minified_js($absolute_js_files, $output_file);
    
    // Output tag script
    echo '<script src="' . $js_url . '"></script>';
} else {
    // Output tag script untuk setiap file JavaScript
    foreach ($js_files as $file) {
        echo '<script src="' . $file . '"></script>';
    }
}

// Tambahkan JavaScript inline spesifik halaman jika ada
if (isset($page_specific_js)) {
    echo $page_specific_js;
}
?>