/**
 * Theme Switcher
 * LelangMobil Web App - Versi 2025
 */

document.addEventListener('DOMContentLoaded', function() {
    // Theme toggle
    const themeToggle = document.querySelector('.theme-toggle-2025');
    const themeToggleMobile = document.querySelector('.theme-toggle-mobile');
    
    // Check if dark mode is enabled in localStorage or cookie
    const isDarkMode = localStorage.getItem('dark_mode') === 'true' || 
                      document.cookie.includes('dark_mode=true');
    
    // Set initial theme
    if (isDarkMode) {
        document.body.classList.add('dark-mode');
    }
    
    function toggleDarkMode() {
        document.body.classList.toggle('dark-mode');
        const isDarkMode = document.body.classList.contains('dark-mode');
        
        // Save preference to localStorage
        localStorage.setItem('dark_mode', isDarkMode);
        
        // Set cookie for server-side detection
        document.cookie = `dark_mode=${isDarkMode}; path=/; max-age=${60*60*24*365}`;
    }
    
    if (themeToggle) {
        themeToggle.addEventListener('click', toggleDarkMode);
    }
    
    if (themeToggleMobile) {
        themeToggleMobile.addEventListener('click', function(e) {
            e.preventDefault();
            toggleDarkMode();
        });
    }
});
