<?php
// Include database connection
require_once '../config/database.php';

// Create settings table if it doesn't exist
$sql = "CREATE TABLE IF NOT EXISTS `settings` (
  `setting_id` int(11) NOT NULL AUTO_INCREMENT,
  `setting_key` varchar(100) NOT NULL,
  `setting_value` text DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`setting_id`),
  UNIQUE KEY `setting_key` (`setting_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;";

if ($conn->query($sql) === TRUE) {
    echo "Tabel settings berhasil dibuat atau sudah ada<br>";
} else {
    echo "Error saat membuat tabel settings: " . $conn->error . "<br>";
}

// Insert default settings if they don't exist
$default_settings = [
    // Payment Settings
    ['min_topup_amount', '50000'],
    ['notify_admin_new_topup', '1'],
    ['topup_auto_expire_hours', '48'],
    ['bank_accounts', "BCA: 1234567890\nMandiri: 0987654321\nBNI: 5678901234"],
    ['bank_account_name', 'LelangMobil'],
    
    // General Settings
    ['site_title', 'LelangMobil'],
    ['site_description', 'Platform Lelang Mobil Terpercaya'],
    ['admin_email', 'admin@lelangmobil.com'],
    ['contact_phone', '+62 21 1234567'],
    ['contact_address', 'Jl. Raya Mobil No. 123, Jakarta'],
    
    // Auction Settings
    ['min_bid_increment', '500000'],
    ['auction_duration_days', '7'],
    ['enable_auto_extend', '1'],
    ['auto_extend_minutes', '10'],
    ['auto_extend_threshold_minutes', '5']
];

// Insert settings one by one
foreach ($default_settings as $setting) {
    $check_sql = "SELECT * FROM settings WHERE setting_key = '{$setting[0]}'";
    $check_result = $conn->query($check_sql);
    
    if ($check_result->num_rows == 0) {
        $insert_sql = "INSERT INTO settings (setting_key, setting_value) VALUES ('{$setting[0]}', '{$setting[1]}')";
        if ($conn->query($insert_sql) === TRUE) {
            echo "Pengaturan {$setting[0]} berhasil ditambahkan<br>";
        } else {
            echo "Error saat menambahkan pengaturan {$setting[0]}: " . $conn->error . "<br>";
        }
    }
}

echo "Setup pengaturan selesai!";
?>
