<?php
/**
 * Push Notification Public Key API
 * LelangMobil Web App - Versi 2025
 */

// Include initialization file
require_once '../config/init.php';

// Check if user is logged in
if (!is_logged_in()) {
    echo json_encode([
        'success' => false,
        'message' => 'Unauthorized'
    ]);
    exit;
}

// Get VAPID keys from settings
try {
    $sql = "SELECT setting_value FROM settings WHERE setting_key = 'vapid_public_key'";
    $result = $conn->query($sql);
    
    if ($result && $result->num_rows > 0) {
        $publicKey = $result->fetch_assoc()['setting_value'];
        
        echo json_encode([
            'success' => true,
            'publicKey' => $publicKey
        ]);
    } else {
        echo json_encode([
            'success' => false,
            'message' => 'Public key not found'
        ]);
    }
} catch (Exception $e) {
    echo json_encode([
        'success' => false,
        'message' => 'Error: ' . $e->getMessage()
    ]);
}