<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo isset($page_title) ? $page_title : 'LelangMobil'; ?></title>
    <link rel="icon" href="images/icon.png" type="image/png">
    
    <!-- Preconnect to Google Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    
    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:wght@300;400;500;600;700&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=JetBrains+Mono:wght@400;500&display=swap" rel="stylesheet">
    
    <!-- CSS Files -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/mdb.min.css" rel="stylesheet">
    <link href="fonts/font-awesome/css/all.min.css" rel="stylesheet">
    <link href="css/modern-2025.css" rel="stylesheet">
    <link href="css/notification-2025.css" rel="stylesheet">
    <link href="css/modern-effects.css" rel="stylesheet">
    
    <?php if (isset($page_specific_css)) echo $page_specific_css; ?>
    
    <link rel="manifest" href="manifest.json">
    <meta name="theme-color" content="#4361ee">
</head>
<body class="<?php echo isset($is_auth_page) ? 'auth-page' : ''; ?> <?php echo isset($use_modern_auth) ? 'modern-auth' : ''; ?> <?php echo isset($_COOKIE['dark_mode']) && $_COOKIE['dark_mode'] === 'true' ? 'dark-mode' : ''; ?>">
    <a href="#" class="back-to-top rounded-full-2025 shadow-md-2025"><i class="fa fa-chevron-up"></i></a>
    
    <?php if (!isset($is_auth_page)): ?>
    <header class="header-2025">
        <div class="container">
            <nav class="navbar-2025">
                <div class="navbar-2025-brand">
                    <a href="index.php">
                        <img src="<?php echo function_exists('get_optimized_image') ? get_optimized_image('images/logo.png', 200, 50) : 'images/logo.png'; ?>" alt="LelangMobil" class="logo-light">
                        <img src="<?php echo function_exists('get_optimized_image') ? get_optimized_image('images/logo-dark.png', 200, 50) : 'images/logo-dark.png'; ?>" alt="LelangMobil" class="logo-dark">
                    </a>
                </div>
                
                <ul class="navbar-2025-nav">
                    <li class="nav-2025-item"><a href="index.php" class="<?php echo basename($_SERVER['PHP_SELF']) == 'index.php' ? 'active' : ''; ?>">Beranda</a></li>
                    <li class="nav-2025-item"><a href="auctions.php" class="<?php echo basename($_SERVER['PHP_SELF']) == 'auctions.php' ? 'active' : ''; ?>">Lelang</a></li>
                    <li class="nav-2025-item"><a href="how-it-works.php" class="<?php echo basename($_SERVER['PHP_SELF']) == 'how-it-works.php' ? 'active' : ''; ?>">Cara Kerja</a></li>
                    
                    <?php if (isset($_SESSION['user_id'])): ?>
                    <li class="nav-2025-item dropdown-2025">
                        <a href="#" class="dropdown-2025-toggle">
                            Akun
                            <i class="fa fa-chevron-down ms-1"></i>
                        </a>
                        <ul class="dropdown-2025-menu">
                            <li><a href="account-modern.php"><i class="fa fa-tachometer-alt me-2"></i>Dashboard</a></li>
                            <li><a href="bids-modern.php"><i class="fa fa-gavel me-2"></i>Bid Saya</a></li>
                            <li><a href="transactions-modern.php"><i class="fa fa-history me-2"></i>Transaksi</a></li>
                            <li><a href="profile-modern.php"><i class="fa fa-user me-2"></i>Profil</a></li>
                            <li><a href="shipping-address.php"><i class="fa fa-map-marker-alt me-2"></i>Alamat</a></li>
                            <li class="dropdown-2025-divider"></li>
                            <li><a href="logout.php"><i class="fa fa-sign-out-alt me-2"></i>Logout</a></li>
                        </ul>
                    </li>
                    <li class="nav-2025-item notification-item">
                        <?php include("includes/notification-component.php"); ?>
                    </li>
                    <?php else: ?>
                    <li class="nav-2025-item"><a href="login.php">Login</a></li>
                    <li class="nav-2025-item"><a href="register.php" class="btn-2025 btn-2025-primary btn-2025-sm">Daftar</a></li>
                    <?php endif; ?>
                    
                    <li class="nav-2025-item">
                        <button class="theme-toggle-2025" aria-label="Toggle theme">
                            <i class="fa fa-sun light-icon"></i>
                            <i class="fa fa-moon dark-icon"></i>
                        </button>
                    </li>
                </ul>
                
                <button class="navbar-2025-toggler">
                    <span></span><span></span><span></span>
                </button>
            </nav>
        </div>
    </header>
    
    <div class="mobile-menu-2025">
        <div class="mobile-menu-2025-header">
            <div class="logo">
                <a href="index.php">
                    <img src="<?php echo function_exists('get_optimized_image') ? get_optimized_image('images/logo.png', 150, 40) : 'images/logo.png'; ?>" alt="LelangMobil" class="logo-light">
                    <img src="<?php echo function_exists('get_optimized_image') ? get_optimized_image('images/logo-dark.png', 150, 40) : 'images/logo-dark.png'; ?>" alt="LelangMobil" class="logo-dark">
                </a>
            </div>
            <div class="mobile-menu-2025-close">
                <i class="fa fa-times"></i>
            </div>
        </div>
        <nav class="mobile-nav-2025">
            <ul>
                <li><a href="index.php" class="<?php echo basename($_SERVER['PHP_SELF']) == 'index.php' ? 'active' : ''; ?>"><i class="fa fa-home me-2"></i>Beranda</a></li>
                <li><a href="auctions.php" class="<?php echo basename($_SERVER['PHP_SELF']) == 'auctions.php' ? 'active' : ''; ?>"><i class="fa fa-gavel me-2"></i>Lelang</a></li>
                <li><a href="how-it-works.php" class="<?php echo basename($_SERVER['PHP_SELF']) == 'how-it-works.php' ? 'active' : ''; ?>"><i class="fa fa-question-circle me-2"></i>Cara Kerja</a></li>
                <?php if (isset($_SESSION['user_id'])): ?>
                <li class="mobile-dropdown-2025">
                    <a href="#" class="mobile-dropdown-2025-toggle">
                        <i class="fa fa-user me-2"></i>Akun
                        <i class="fa fa-chevron-down ms-auto"></i>
                    </a>
                    <ul class="mobile-dropdown-2025-menu">
                        <li><a href="account-modern.php"><i class="fa fa-tachometer-alt me-2"></i>Dashboard</a></li>
                        <li><a href="bids-modern.php"><i class="fa fa-gavel me-2"></i>Bid Saya</a></li>
                        <li><a href="transactions-modern.php"><i class="fa fa-history me-2"></i>Transaksi</a></li>
                        <li><a href="profile-modern.php"><i class="fa fa-user me-2"></i>Profil</a></li>
                        <li><a href="shipping-address.php"><i class="fa fa-map-marker-alt me-2"></i>Alamat</a></li>
                    </ul>
                </li>
                <li><a href="notifications.php"><i class="fa fa-bell me-2"></i>Notifikasi <?php echo $unread_count > 0 ? "<span class=\"badge-2025 badge-2025-danger badge-2025-pill\">$unread_count</span>" : ''; ?></a></li>
                <li><a href="logout.php"><i class="fa fa-sign-out-alt me-2"></i>Logout</a></li>
                <?php else: ?>
                <li><a href="login.php"><i class="fa fa-sign-in-alt me-2"></i>Login</a></li>
                <li><a href="register.php"><i class="fa fa-user-plus me-2"></i>Daftar</a></li>
                <?php endif; ?>
                <li>
                    <a href="#" class="theme-toggle-mobile">
                        <i class="fa fa-sun me-2 light-icon"></i>
                        <i class="fa fa-moon me-2 dark-icon"></i>
                        <span class="light-text">Mode Terang</span>
                        <span class="dark-text">Mode Gelap</span>
                    </a>
                </li>
            </ul>
        </nav>
    </div>
    <?php endif; ?>
    
    <!-- Flash Messages Container -->
    <?php if (isset($_SESSION['flash_message'])): ?>
    <div class="flash-message" data-type="<?php echo $_SESSION['flash_type'] ?? 'info'; ?>" data-title="<?php echo $_SESSION['flash_title'] ?? 'Notifikasi'; ?>" style="display: none;">
        <?php echo $_SESSION['flash_message']; ?>
    </div>
    <?php 
    unset($_SESSION['flash_message']);
    unset($_SESSION['flash_type']);
    unset($_SESSION['flash_title']);
    endif; 
    ?>
    
    <!-- Notification Container -->
    <div class="notification-container-2025"></div>
    
    <main class="content-2025">
    
<style>
/* Header 2025 */
.header-2025 {
    background-color: var(--card-bg);
    box-shadow: var(--box-shadow);
    position: sticky;
    top: 0;
    z-index: 1000;
    padding: 0.75rem 0;
    transition: var(--transition);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

.navbar-2025 {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.navbar-2025-brand img {
    height: 40px;
    transition: var(--transition);
}

.navbar-2025-nav {
    display: flex;
    align-items: center;
    list-style: none;
    margin: 0;
    padding: 0;
}

.nav-2025-item {
    margin: 0 0.75rem;
    position: relative;
}

.nav-2025-item a {
    color: var(--text-color);
    text-decoration: none;
    font-weight: 500;
    padding: 0.5rem;
    transition: var(--transition-fast);
    position: relative;
}

.nav-2025-item a:hover {
    color: var(--primary);
}

.nav-2025-item a.active {
    color: var(--primary);
}

.nav-2025-item a.active::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: var(--primary);
    border-radius: 2px;
}

.navbar-2025-toggler {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
}

.navbar-2025-toggler span {
    display: block;
    width: 25px;
    height: 3px;
    background-color: var(--text-color);
    margin: 5px 0;
    transition: var(--transition);
    border-radius: 3px;
}

/* Dropdown 2025 */
.dropdown-2025 {
    position: relative;
}

.dropdown-2025-toggle {
    display: flex;
    align-items: center;
    cursor: pointer;
}

.dropdown-2025-menu {
    position: absolute;
    top: 100%;
    left: 0;
    min-width: 200px;
    background-color: var(--card-bg);
    border-radius: var(--border-radius);
    box-shadow: var(--box-shadow-md);
    padding: 0.5rem 0;
    opacity: 0;
    visibility: hidden;
    transform: translateY(10px);
    transition: all 0.3s ease;
    z-index: 1000;
    margin-top: 0.5rem;
    border: 1px solid rgba(0,0,0,0.05);
}

.dropdown-2025:hover .dropdown-2025-menu {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.dropdown-2025-menu li a {
    display: flex;
    align-items: center;
    padding: 0.75rem 1.25rem;
    color: var(--text-color);
    transition: var(--transition-fast);
    font-weight: 500;
}

.dropdown-2025-menu li a:hover {
    background-color: rgba(67, 97, 238, 0.05);
    color: var(--primary);
}

.dropdown-2025-divider {
    height: 1px;
    background-color: rgba(0,0,0,0.05);
    margin: 0.5rem 0;
}

body.dark-mode .dropdown-2025-divider {
    background-color: rgba(255,255,255,0.05);
}

/* Mobile Menu 2025 */
.mobile-menu-2025 {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--card-bg);
    z-index: 1001;
    transform: translateX(-100%);
    transition: transform 0.3s ease;
    overflow-y: auto;
    box-shadow: var(--box-shadow-lg);
}

.mobile-menu-2025.active {
    transform: translateX(0);
}

.mobile-menu-2025-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem;
    border-bottom: 1px solid rgba(0,0,0,0.05);
}

body.dark-mode .mobile-menu-2025-header {
    border-color: rgba(255,255,255,0.05);
}

.mobile-menu-2025-close {
    font-size: 1.5rem;
    cursor: pointer;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    transition: var(--transition-fast);
}

.mobile-menu-2025-close:hover {
    background-color: rgba(0,0,0,0.05);
}

body.dark-mode .mobile-menu-2025-close:hover {
    background-color: rgba(255,255,255,0.05);
}

.mobile-nav-2025 {
    padding: 1rem;
}

.mobile-nav-2025 ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.mobile-nav-2025 li {
    margin-bottom: 0.5rem;
}

.mobile-nav-2025 a {
    display: flex;
    align-items: center;
    padding: 0.75rem 1rem;
    color: var(--text-color);
    text-decoration: none;
    border-radius: var(--border-radius);
    transition: var(--transition-fast);
    font-weight: 500;
}

.mobile-nav-2025 a:hover {
    background-color: rgba(67, 97, 238, 0.05);
    color: var(--primary);
}

.mobile-nav-2025 a.active {
    background-color: rgba(67, 97, 238, 0.1);
    color: var(--primary);
}

.mobile-dropdown-2025-toggle {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.mobile-dropdown-2025-menu {
    padding-left: 1.5rem;
    display: none;
    margin-top: 0.5rem;
}

.mobile-dropdown-2025-menu.active {
    display: block;
}

.mobile-dropdown-2025-menu li {
    margin-bottom: 0.25rem;
}

/* Theme Toggle 2025 */
.theme-toggle-2025 {
    background: none;
    border: none;
    cursor: pointer;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: var(--transition);
    color: var(--text-color);
}

.theme-toggle-2025:hover {
    background-color: rgba(0,0,0,0.05);
}

body.dark-mode .theme-toggle-2025:hover {
    background-color: rgba(255,255,255,0.05);
}

.theme-toggle-2025 .light-icon {
    display: none;
}

.theme-toggle-2025 .dark-icon {
    display: block;
}

body.dark-mode .theme-toggle-2025 .light-icon {
    display: block;
}

body.dark-mode .theme-toggle-2025 .dark-icon {
    display: none;
}

.theme-toggle-mobile .light-icon,
.theme-toggle-mobile .light-text {
    display: none;
}

.theme-toggle-mobile .dark-icon,
.theme-toggle-mobile .dark-text {
    display: inline-block;
}

body.dark-mode .theme-toggle-mobile .light-icon,
body.dark-mode .theme-toggle-mobile .light-text {
    display: inline-block;
}

body.dark-mode .theme-toggle-mobile .dark-icon,
body.dark-mode .theme-toggle-mobile .dark-text {
    display: none;
}

/* Content 2025 */
.content-2025 {
    min-height: calc(100vh - 70px);
}

/* Back to top */
.back-to-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 40px;
    height: 40px;
    background-color: var(--primary);
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    opacity: 0;
    visibility: hidden;
    transition: var(--transition);
    z-index: 999;
}

.back-to-top.show {
    opacity: 1;
    visibility: visible;
}

.back-to-top:hover {
    transform: translateY(-5px);
    color: white;
}

/* Responsive */
@media (max-width: 992px) {
    .navbar-2025-nav {
        display: none;
    }
    
    .navbar-2025-toggler {
        display: block;
    }
}
</style>