<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo isset($page_title) ? $page_title : 'LelangMobil'; ?></title>
    <link rel="icon" href="images/icon.png" type="image/png">
    
    <!-- CSS Files -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/mdb.min.css" rel="stylesheet">
    <link href="fonts/font-awesome/css/all.min.css" rel="stylesheet">
    <link href="css/modern-integrated.css" rel="stylesheet">
    
    <?php if (isset($page_title) && $page_title == "Penarikan Saldo"): ?>
    <link href="css/modern-withdraw.css" rel="stylesheet">
    <?php endif; ?>
    
    <?php if (isset($page_specific_css)) echo $page_specific_css; ?>
    
    <link rel="manifest" href="manifest.json">
    <meta name="theme-color" content="#4a6ee0">
</head>
<body class="<?php echo isset($is_auth_page) ? 'auth-page' : ''; ?> <?php echo isset($use_modern_auth) ? 'modern-auth' : ''; ?>">
    <a href="#" class="back-to-top"><i class="fa fa-chevron-up"></i></a>
    
    <?php if (!isset($is_auth_page)): ?>
    <header class="modern-header">
        <div class="container">
            <nav class="modern-navbar">
                <div class="modern-navbar-brand">
                    <a href="index.php">
                        <img src="<?php echo function_exists('get_optimized_image') ? get_optimized_image('images/logo.png', 200, 50) : 'images/logo.png'; ?>" alt="LelangMobil" class="logo-light">
                        <img src="<?php echo function_exists('get_optimized_image') ? get_optimized_image('images/logo-dark.png', 200, 50) : 'images/logo-dark.png'; ?>" alt="LelangMobil" class="logo-dark">
                    </a>
                </div>
                
                <ul class="modern-navbar-nav">
                    <li class="modern-nav-item"><a href="index.php">Beranda</a></li>
                    <li class="modern-nav-item"><a href="auctions.php">Lelang</a></li>
                    <li class="modern-nav-item"><a href="how-it-works.php">Cara Kerja</a></li>
                    
                    <?php if (isset($_SESSION['user_id'])): ?>
                    <li class="modern-nav-item dropdown">
                        <a href="#" class="dropdown-toggle">Akun</a>
                        <ul class="dropdown-menu">
                            <li><a href="account-modern.php">Dashboard</a></li>
                            <li><a href="bids-modern.php">Bid Saya</a></li>
                            <li><a href="transactions-modern.php">Transaksi</a></li>
                            <li><a href="profile-modern.php">Profil</a></li>
                            <li><a href="logout.php">Logout</a></li>
                        </ul>
                    </li>
                    <li class="modern-nav-item">
                        <a href="notifications.php" class="notification-link">
                            <i class="fa fa-bell"></i>
                            <?php
                            // Get unread notifications count
                            $unread_count = 0;
                            if (function_exists('count_unread_notifications')) {
                                $unread_count = count_unread_notifications($_SESSION['user_id']);
                            }
                            ?>
                            <span class="notification-badge" id="notificationBadge" <?php echo $unread_count > 0 ? '' : 'style="display: none;"'; ?>><?php echo $unread_count; ?></span>
                        </a>
                    </li>
                    <?php else: ?>
                    <li class="modern-nav-item"><a href="login.php">Login</a></li>
                    <li class="modern-nav-item"><a href="register.php" class="modern-btn modern-btn-primary btn-sm">Daftar</a></li>
                    <?php endif; ?>
                    
                    <li class="modern-nav-item">
                        <button class="theme-toggle" aria-label="Toggle theme">
                            <i class="fa fa-sun light-icon"></i>
                            <i class="fa fa-moon dark-icon"></i>
                        </button>
                    </li>
                </ul>
                
                <button class="modern-navbar-toggler">
                    <span></span><span></span><span></span>
                </button>
            </nav>
        </div>
    </header>
    
    <div class="mobile-menu">
        <div class="mobile-menu-header">
            <div class="logo">
                <a href="index.php">
                    <img src="<?php echo function_exists('get_optimized_image') ? get_optimized_image('images/logo.png', 150, 40) : 'images/logo.png'; ?>" alt="LelangMobil" class="logo-light">
                    <img src="<?php echo function_exists('get_optimized_image') ? get_optimized_image('images/logo-dark.png', 150, 40) : 'images/logo-dark.png'; ?>" alt="LelangMobil" class="logo-dark">
                </a>
            </div>
            <div class="mobile-menu-close">
                <i class="fa fa-times"></i>
            </div>
        </div>
        <nav class="mobile-nav">
            <ul>
                <li><a href="index.php">Beranda</a></li>
                <li><a href="auctions.php">Lelang</a></li>
                <li><a href="how-it-works.php">Cara Kerja</a></li>
                <?php if (isset($_SESSION['user_id'])): ?>
                <li class="mobile-dropdown">
                    <a href="#" class="mobile-dropdown-toggle">Akun</a>
                    <ul class="mobile-dropdown-menu">
                        <li><a href="account-modern.php">Dashboard</a></li>
                        <li><a href="bids-modern.php">Bid Saya</a></li>
                        <li><a href="transactions-modern.php">Transaksi</a></li>
                        <li><a href="profile-modern.php">Profil</a></li>
                        <li><a href="logout.php">Logout</a></li>
                    </ul>
                </li>
                <li><a href="notifications.php">Notifikasi <?php echo $unread_count > 0 ? "($unread_count)" : ''; ?></a></li>
                <?php else: ?>
                <li><a href="login.php">Login</a></li>
                <li><a href="register.php">Daftar</a></li>
                <?php endif; ?>
            </ul>
        </nav>
    </div>
    <?php endif; ?>
    <main class="modern-content">