<?php
/**
 * Homepage
 * LelangMobil Web App - Versi 2025
 */

// Include error handler
require_once 'error-handler.php';

// Include initialization file
require_once 'config/init.php';

// Set page title
$page_title = "LelangMobil - Platform Lelang Mobil Online Terpercaya #1 di Indonesia";

// Custom CSS untuk halaman index yang ditingkatkan dan notifikasi modern
$page_specific_css = '<link href="css/modern-index-enhanced.css" rel="stylesheet" type="text/css">
<link href="css/modern-notifications.css" rel="stylesheet" type="text/css">
<link href="css/modern-components.css" rel="stylesheet" type="text/css">
<link href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css" rel="stylesheet">
<link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
<link href="https://cdn.jsdelivr.net/npm/swiper@10/swiper-bundle.min.css" rel="stylesheet">
<link href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css" rel="stylesheet">
<link href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.theme.default.min.css" rel="stylesheet">';

// Custom JS untuk index yang lebih interaktif
$page_specific_js = '<script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
<script src="https://cdn.jsdelivr.net/npm/swiper@10/swiper-bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"></script>
<script src="js/modern-index-enhanced.js"></script>
<script src="js/modern-components.js"></script>';

// Include header
include("includes/header.php");

// Fake transaction data untuk notifikasi real-time
$fake_transactions = [
    ['name' => 'Ahmad S.', 'action' => 'memenangkan lelang', 'item' => 'Toyota Alphard 2021', 'amount' => '865.000.000', 'time' => '2 menit'],
    ['name' => 'Budi W.', 'action' => 'melakukan top up', 'amount' => '75.000.000', 'time' => '5 menit'],
    ['name' => 'Rini K.', 'action' => 'mengajukan bid', 'item' => 'Honda Civic Type R', 'amount' => '720.000.000', 'time' => '7 menit'],
    ['name' => 'Dian P.', 'action' => 'memenangkan lelang', 'item' => 'Mercedes C300 AMG', 'amount' => '950.000.000', 'time' => '12 menit'],
    ['name' => 'Eko S.', 'action' => 'melakukan top up', 'amount' => '150.000.000', 'time' => '15 menit'],
    ['name' => 'Farhan M.', 'action' => 'mengajukan bid', 'item' => 'BMW X5 2022', 'amount' => '1.250.000.000', 'time' => '18 menit'],
    ['name' => 'Gita R.', 'action' => 'melakukan top up', 'amount' => '100.000.000', 'time' => '23 menit'],
    ['name' => 'Hendra F.', 'action' => 'memenangkan lelang', 'item' => 'Nissan GT-R', 'amount' => '2.100.000.000', 'time' => '30 menit'],
    ['name' => 'Indra J.', 'action' => 'mengajukan bid', 'item' => 'Porsche Macan', 'amount' => '1.450.000.000', 'time' => '35 menit'],
    ['name' => 'Jasmine N.', 'action' => 'melakukan top up', 'amount' => '200.000.000', 'time' => '40 menit'],
    ['name' => 'Kevin L.', 'action' => 'memenangkan lelang', 'item' => 'Mazda CX-9', 'amount' => '685.000.000', 'time' => '45 menit'],
    ['name' => 'Lisa M.', 'action' => 'mengajukan bid', 'item' => 'Hyundai Palisade', 'amount' => '750.000.000', 'time' => '50 menit'],
    ['name' => 'Mulya H.', 'action' => 'melakukan top up', 'amount' => '90.000.000', 'time' => '58 menit'],
    ['name' => 'Nadia P.', 'action' => 'memenangkan lelang', 'item' => 'Toyota Land Cruiser', 'amount' => '1.800.000.000', 'time' => '1 jam'],
    ['name' => 'Oscar T.', 'action' => 'mengajukan bid', 'item' => 'Mitsubishi Pajero Sport', 'amount' => '585.000.000', 'time' => '1.2 jam'],
];

// Get statistics
try {
    // Total vehicles
    $vehicles_sql = "SELECT COUNT(*) as count FROM vehicles";
    $vehicles_result = $conn->query($vehicles_sql);
    $total_vehicles = $vehicles_result->fetch_assoc()['count'];
    
    // Total users
    $users_sql = "SELECT COUNT(*) as count FROM users";
    $users_result = $conn->query($users_sql);
    $total_users = $users_result->fetch_assoc()['count'];
    
    // Total transactions
    $transactions_sql = "SELECT COUNT(*) as count FROM transactions";
    $transactions_result = $conn->query($transactions_sql);
    $total_transactions = $transactions_result->fetch_assoc()['count'];
    
    // Jika data asli kurang dari yang diharapkan, tambahkan jumlah statistik
    if ($total_vehicles < 100) $total_vehicles = 128;
    if ($total_users < 1000) $total_users = 1724;
    if ($total_transactions < 1000) $total_transactions = 3518;
    
} catch (Throwable $e) {
    error_log("Error fetching statistics: " . $e->getMessage());
    $total_vehicles = 128;
    $total_users = 1724;
    $total_transactions = 3518;
}
?>

<!-- Hero Section -->
<section class="hero-section">
    <div class="container">
                                </div>
                                <h1 class="hero-title text-white mb-3">Temukan Mobil Impian Anda dengan Harga Terbaik</h1>
                                <p class="hero-subtitle text-white mb-4">LelangMobil menyediakan platform aman dan transparan untuk melelang dan membeli kendaraan berkualitas dengan harga kompetitif.</p>
                                <div class="hero-buttons mb-4">
                                    <a href="auctions.php" class="btn btn-primary btn-lg me-3 mb-2 mb-md-0 pulse-animation">
                                        <i class="fas fa-gavel me-2"></i>Lihat Lelang Aktif
                                    </a>
                                    <a href="how-it-works.php" class="btn btn-outline-light btn-lg">
                                        <i class="fas fa-info-circle me-2"></i>Cara Kerja
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 text-center d-none d-lg-block">
                            <div class="hero-image" data-aos="zoom-in" data-aos-delay="300">
                                <img src="images/hero-car-1.png" alt="Premium Car" class="img-fluid parallax-element" data-speed="-0.2" onerror="this.src='images/car-placeholder.png';">
                                <div class="floating-badge floating-badge-1" data-aos="fade-up" data-aos-delay="500">
                                    <i class="fas fa-tag"></i> Harga Terbaik
                                </div>
                                <div class="floating-badge floating-badge-2" data-aos="fade-up" data-aos-delay="700">
                                    <i class="fas fa-car"></i> Mobil Berkualitas
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Slide 2 -->
            <div class="swiper-slide hero-slide" style="background-image: linear-gradient(rgba(0,0,0,0.6), rgba(0,0,0,0.6)), url('images/hero-bg-2.jpg');">
                <div class="container h-100">
                    <div class="row h-100 align-items-center">
                        <div class="col-lg-6">
                            <div class="hero-content">
                                <div class="hero-badge mb-3">
                                    <span><i class="fas fa-shield-alt me-2"></i>100% Aman & Terpercaya</span>
                                </div>
                                <h1 class="hero-title text-white mb-3">Proses Lelang Transparan & Terlindungi</h1>
                                <p class="hero-subtitle text-white mb-4">Setiap kendaraan melewati inspeksi ketat 150+ poin dan transaksi Anda dilindungi sistem pembayaran yang aman.</p>
                                <div class="hero-buttons mb-4">
                                    <a href="register.php" class="btn btn-primary btn-lg me-3 mb-2 mb-md-0">
                                        <i class="fas fa-user-plus me-2"></i>Daftar Sekarang
                                    </a>
                                    <a href="inspection.php" class="btn btn-outline-light btn-lg">
                                        <i class="fas fa-search-plus me-2"></i>Proses Inspeksi
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 text-center d-none d-lg-block">
                            <div class="hero-image">
                                <img src="images/hero-car-2.png" alt="Luxury Car" class="img-fluid parallax-element" data-speed="-0.2" onerror="this.src='images/car-placeholder.png';">
                                <div class="floating-badge floating-badge-3">
                                    <i class="fas fa-check-double"></i> Inspeksi 150+ Poin
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Slide 3 -->
            <div class="swiper-slide hero-slide" style="background-image: linear-gradient(rgba(0,0,0,0.6), rgba(0,0,0,0.6)), url('images/hero-bg-3.jpg');">
                <div class="container h-100">
                    <div class="row h-100 align-items-center">
                        <div class="col-lg-6">
                            <div class="hero-content">
                                <div class="hero-badge mb-3">
                                    <span><i class="fas fa-percent me-2"></i>Harga Kompetitif</span>
                                </div>
                                <h1 class="hero-title text-white mb-3">Dapatkan Penawaran Terbaik untuk Mobil Impian</h1>
                                <p class="hero-subtitle text-white mb-4">Ajukan penawaran sesuai budget Anda dan dapatkan mobil impian dengan harga terbaik melalui sistem lelang kami.</p>
                                <div class="hero-buttons mb-4">
                                    <a href="search.php" class="btn btn-primary btn-lg me-3 mb-2 mb-md-0">
                                        <i class="fas fa-search me-2"></i>Cari Mobil
                                    </a>
                                    <a href="pricing.php" class="btn btn-outline-light btn-lg">
                                        <i class="fas fa-calculator me-2"></i>Kalkulator Harga
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 text-center d-none d-lg-block">
                            <div class="hero-image">
                                <img src="images/hero-car-3.png" alt="Sports Car" class="img-fluid parallax-element" data-speed="-0.2" onerror="this.src='images/car-placeholder.png';">
                                <div class="floating-badge floating-badge-2">
                                    <i class="fas fa-bolt"></i> Proses Cepat
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Slider Controls -->
        <div class="swiper-pagination"></div>
        <div class="swiper-button-next"></div>
        <div class="swiper-button-prev"></div>
    </div>

    <!-- Hero Stats -->
    <div class="hero-stats-bar">
        <div class="container">
            <div class="row">
                <div class="col-md-4">
                    <div class="hero-stat-item" data-aos="fade-up" data-aos-delay="100">
                        <div class="hero-stat-icon">
                            <i class="fas fa-car"></i>
                        </div>
                        <div class="hero-stat-content">
                            <div class="hero-stat-value">
                                <span class="counter" data-count="<?php echo $total_vehicles; ?>">0</span>+
                            </div>
                            <div class="hero-stat-label">Mobil Tersedia</div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="hero-stat-item" data-aos="fade-up" data-aos-delay="300">
                        <div class="hero-stat-icon">
                            <i class="fas fa-users"></i>
                        </div>
                        <div class="hero-stat-content">
                            <div class="hero-stat-value">
                                <span class="counter" data-count="<?php echo $total_users; ?>">0</span>+
                            </div>
                            <div class="hero-stat-label">Pengguna Aktif</div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="hero-stat-item" data-aos="fade-up" data-aos-delay="500">
                        <div class="hero-stat-icon">
                            <i class="fas fa-handshake"></i>
                        </div>
                        <div class="hero-stat-content">
                            <div class="hero-stat-value">
                                <span class="counter" data-count="<?php echo $total_transactions; ?>">0</span>+
                            </div>
                            <div class="hero-stat-label">Transaksi Sukses</div>
                        </div>
                    </div>
                </div>
            </div>
    
    <!-- Live Activity Notifications -->
    <div class="live-activity-container">
        <div class="live-activity-header">
            <div class="pulse-dot"></div>
            <span>Aktivitas Terkini</span>
        </div>
        <div id="live-notifications" class="live-notifications">
            <!-- Notifications will be inserted here by JavaScript -->
        </div>
    </div>
</section>

<!-- Trust Badges Section -->
<section class="trust-badges">
    <div class="container">
        <div class="row">
            <div class="col-lg-3 col-md-6">
                <div class="trust-badge-item animate">
                    <div class="trust-badge-icon">
                        <i class="fas fa-shield-alt"></i>
                    </div>
                    <h3 class="trust-badge-title">100% Aman & Terpercaya</h3>
                    <p class="trust-badge-text">Transaksi dijamin aman dengan sistem escrow dan verifikasi ketat</p>
                </div>
            </div>
            <div class="col-lg-3 col-md-6">
                <div class="trust-badge-item animate">
                    <div class="trust-badge-icon">
                        <i class="fas fa-certificate"></i>
                    </div>
                    <h3 class="trust-badge-title">Kendaraan Berkualitas</h3>
                    <p class="trust-badge-text">Semua kendaraan melalui inspeksi menyeluruh oleh teknisi profesional</p>
                </div>
            </div>
            <div class="col-lg-3 col-md-6">
                <div class="trust-badge-item animate">
                    <div class="trust-badge-icon">
                        <i class="fas fa-headset"></i>
                    </div>
                    <h3 class="trust-badge-title">Layanan 24/7</h3>
                    <p class="trust-badge-text">Tim dukungan pelanggan siap membantu Anda kapan pun dibutuhkan</p>
                </div>
            </div>
            <div class="col-lg-3 col-md-6">
                <div class="trust-badge-item animate">
                    <div class="trust-badge-icon">
                        <i class="fas fa-handshake"></i>
                    </div>
                    <h3 class="trust-badge-title">Transparan & Adil</h3>
                    <p class="trust-badge-text">Proses lelang yang transparan dengan harga yang kompetitif</p>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- Featured Auctions Section -->
<section class="featured-auctions">
    <div class="container">
        <div class="section-title animate">
            <h2>Lelang Aktif</h2>
            <p>Temukan berbagai pilihan mobil berkualitas yang sedang dilelang saat ini</p>
        </div>
        
        <div class="row">
            <?php
            // Get active auctions
            try {
                $auctions_sql = "SELECT 
                            vehicle_id, 
                            model, 
                            COALESCE(brand, make) as brand,
                            COALESCE(image_main, image, 'images/no-image.svg') as auction_image,
                            COALESCE(starting_price, start_price, 0) as auction_start_price, 
                            COALESCE(current_bid, current_price, 0) as auction_current_bid, 
                            COALESCE(end_date, auction_end) as auction_end_date,
                            year,
                            (SELECT COUNT(*) FROM bids WHERE vehicle_id = v.vehicle_id) as bid_count
                            FROM vehicles v
                            WHERE status = 'active'
                            ORDER BY COALESCE(end_date, auction_end) ASC
                            LIMIT 6";
                $auctions_result = $conn->query($auctions_sql);
                
                if ($auctions_result && $auctions_result->num_rows > 0) {
                    while ($auction = $auctions_result->fetch_assoc()) {
                        // Calculate time remaining
                        $now = new DateTime();
                        $end_date = new DateTime($auction['auction_end_date']);
                        $interval = $now->diff($end_date);
                        
                        $time_label = "";
                        if ($interval->days > 0) {
                            $time_label = $interval->days . " hari " . $interval->h . " jam";
                        } else if ($interval->h > 0) {
                            $time_label = $interval->h . " jam " . $interval->i . " menit";
                        } else {
                            $time_label = $interval->i . " menit";
                        }
                        
                        // Set bid amount
                        $bid_amount = max($auction['auction_current_bid'], $auction['auction_start_price']);
                        ?>
                        <div class="col-lg-4 col-md-6 mb-4">
                            <div class="auction-card animate">
                                <div class="auction-card-image">
                                    <img src="<?php echo htmlspecialchars($auction['auction_image']); ?>" alt="<?php echo htmlspecialchars($auction['brand'] . ' ' . $auction['model']); ?>" onerror="this.src='images/no-image.svg';">
                                    <div class="auction-card-countdown"><?php echo $time_label; ?></div>
                                </div>
                                <div class="auction-card-content">
                                    <h3 class="auction-card-title"><?php echo htmlspecialchars($auction['brand'] . ' ' . $auction['model']); ?></h3>
                                    <div class="auction-card-price"><?php echo format_money($bid_amount); ?></div>
                                    <div class="auction-card-info">
                                        <span><i class="fa fa-calendar-alt me-1"></i> Tahun <?php echo htmlspecialchars($auction['year']); ?></span>
                                        <span><i class="fa fa-gavel me-1"></i> <?php echo $auction['bid_count']; ?> bid</span>
                                    </div>
                                    <div class="auction-card-footer">
                                        <a href="vehicle.php?id=<?php echo $auction['vehicle_id']; ?>" class="modern-btn modern-btn-primary btn-sm">Lihat Detail</a>
                                        <a href="vehicle.php?id=<?php echo $auction['vehicle_id']; ?>#bid" class="modern-btn modern-btn-outline btn-sm">Bid Sekarang</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php
                    }
                } else {
                    echo '<div class="col-12 text-center"><p>Tidak ada lelang aktif saat ini.</p></div>';
                }
            } catch (Throwable $e) {
                error_log("Error fetching auctions: " . $e->getMessage());
                echo '<div class="col-12 text-center"><p>Gagal memuat data lelang.</p></div>';
            }
            ?>
        </div>
        
        <div class="text-center mt-4">
            <a href="auctions.php" class="modern-btn modern-btn-primary">Lihat Semua Lelang</a>
        </div>
    </div>
</section>

<!-- How It Works Section -->
<section class="how-it-works">
    <div class="container">
        <div class="section-title animate">
            <h2>Cara Kerja</h2>
            <p>Ikuti langkah-langkah sederhana ini untuk mulai mengikuti lelang mobil</p>
        </div>
        
        <div class="row">
            <div class="col-lg-3 col-md-6 mb-4">
                <div class="step-card animate">
                    <div class="step-icon">
                        <i class="fa fa-user-plus"></i>
                    </div>
                    <h3 class="step-title">Daftar Akun</h3>
                    <p class="step-description">Buat akun baru dan verifikasi email Anda untuk mulai mengikuti lelang.</p>
                </div>
            </div>
            
            <div class="col-lg-3 col-md-6 mb-4">
                <div class="step-card animate">
                    <div class="step-icon">
                        <i class="fa fa-wallet"></i>
                    </div>
                    <h3 class="step-title">Top Up Saldo</h3>
                    <p class="step-description">Isi saldo akun Anda untuk dapat mengajukan bid pada lelang yang aktif.</p>
                </div>
            </div>
            
            <div class="col-lg-3 col-md-6 mb-4">
                <div class="step-card animate">
                    <div class="step-icon">
                        <i class="fa fa-gavel"></i>
                    </div>
                    <h3 class="step-title">Ajukan Bid</h3>
                    <p class="step-description">Pilih mobil yang Anda inginkan dan ajukan bid dengan harga yang Anda tawarkan.</p>
                </div>
            </div>
            
            <div class="col-lg-3 col-md-6 mb-4">
                <div class="step-card animate">
                    <div class="step-icon">
                        <i class="fa fa-car"></i>
                    </div>
                    <h3 class="step-title">Dapatkan Mobil</h3>
                    <p class="step-description">Jika Anda memenangkan lelang, lakukan pembayaran dan dapatkan mobil impian Anda.</p>
                </div>
            </div>
        </div>
        
        <div class="text-center mt-4">
            <a href="how-it-works.php" class="modern-btn modern-btn-primary">Pelajari Lebih Lanjut</a>
        </div>
    </div>
</section>

<!-- Trust Badges Section -->
<section class="trust-badges">
    <div class="container">
        <div class="section-title animate">
            <h2>Mengapa Memilih Kami</h2>
            <p>LelangMobil menawarkan pengalaman lelang mobil yang aman, transparan, dan terpercaya</p>
        </div>
        
        <div class="row">
            <div class="col-lg-3 col-md-6 mb-4">
                <div class="trust-card animate">
                    <div class="trust-icon">
                        <i class="fa fa-shield-alt"></i>
                    </div>
                    <h3 class="trust-title">Aman & Terpercaya</h3>
                    <p class="trust-description">Sistem lelang yang transparan dan aman dengan verifikasi identitas pengguna.</p>
                </div>
            </div>
            
            <div class="col-lg-3 col-md-6 mb-4">
                <div class="trust-card animate">
                    <div class="trust-icon">
                        <i class="fa fa-check-circle"></i>
                    </div>
                    <h3 class="trust-title">Kualitas Terjamin</h3>
                    <p class="trust-description">Semua mobil telah melalui inspeksi dan verifikasi kondisi oleh tim ahli kami.</p>
                </div>
            </div>
            
            <div class="col-lg-3 col-md-6 mb-4">
                <div class="trust-card animate">
                    <div class="trust-icon">
                        <i class="fa fa-money-bill-wave"></i>
                    </div>
                    <h3 class="trust-title">Harga Terbaik</h3>
                    <p class="trust-description">Dapatkan harga terbaik melalui sistem lelang yang kompetitif dan transparan.</p>
                </div>
            </div>
            
            <div class="col-lg-3 col-md-6 mb-4">
                <div class="trust-card animate">
                    <div class="trust-icon">
                        <i class="fa fa-headset"></i>
                    </div>
                    <h3 class="trust-title">Dukungan 24/7</h3>
                    <p class="trust-description">Tim dukungan pelanggan kami siap membantu Anda kapan saja dan di mana saja.</p>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- Testimonials Section -->
<section class="testimonials">
    <div class="container">
        <div class="section-title animate">
            <h2>Testimoni Pelanggan</h2>
            <p>Apa kata pelanggan kami tentang pengalaman mereka menggunakan LelangMobil</p>
        </div>
        
        <div class="row">
            <div class="col-lg-4 col-md-6 mb-4">
                <div class="testimonial-card animate">
                    <div class="testimonial-quote">"</div>
                    <p class="testimonial-text">Saya berhasil mendapatkan mobil impian dengan harga yang sangat terjangkau melalui LelangMobil. Prosesnya sangat mudah dan transparan.</p>
                    <div class="testimonial-author">
                        <div class="testimonial-author-image">
                            <img src="images/people/1.jpg" alt="Budi Santoso">
                        </div>
                        <div>
                            <div class="testimonial-author-name">Budi Santoso</div>
                            <div class="testimonial-author-title">Jakarta</div>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="col-lg-4 col-md-6 mb-4">
                <div class="testimonial-card animate">
                    <div class="testimonial-quote">"</div>
                    <p class="testimonial-text">Platform yang sangat membantu untuk menemukan mobil berkualitas. Saya sudah 3 kali memenangkan lelang di sini dan selalu puas dengan hasilnya.</p>
                    <div class="testimonial-author">
                        <div class="testimonial-author-image">
                            <img src="images/people/2.jpg" alt="Siti Nurhaliza">
                        </div>
                        <div>
                            <div class="testimonial-author-name">Siti Nurhaliza</div>
                            <div class="testimonial-author-title">Surabaya</div>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="col-lg-4 col-md-6 mb-4">
                <div class="testimonial-card animate">
                    <div class="testimonial-quote">"</div>
                    <p class="testimonial-text">Sebagai penjual, saya sangat senang dengan sistem lelang di LelangMobil. Mobil saya terjual dengan harga yang lebih tinggi dari perkiraan.</p>
                    <div class="testimonial-author">
                        <div class="testimonial-author-image">
                            <img src="images/people/3.jpg" alt="Rudi Hartono">
                        </div>
                        <div>
                            <div class="testimonial-author-name">Rudi Hartono</div>
                            <div class="testimonial-author-title">Bandung</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- CTA Section -->
<section class="cta-section">
    <div class="container">
        <div class="cta-content animate">
            <h2 class="cta-title">Siap Menemukan Mobil Impian Anda?</h2>
            <p class="cta-description">Bergabunglah dengan <strong>3,500+</strong> pengguna aktif di platform lelang mobil terpercaya di Indonesia. Raih penawaran terbaik hari ini!</p>
            <div class="cta-stats">
                <div class="cta-stat-item">
                    <div class="cta-stat-number"><?php echo number_format($total_vehicles, 0, ',', '.'); ?></div>
                    <div class="cta-stat-label">Kendaraan</div>
                </div>
                <div class="cta-stat-item">
                    <div class="cta-stat-number"><?php echo number_format($total_users, 0, ',', '.'); ?></div>
                    <div class="cta-stat-label">Pengguna</div>
                </div>
                <div class="cta-stat-item">
                    <div class="cta-stat-number"><?php echo number_format($total_transactions, 0, ',', '.'); ?></div>
                    <div class="cta-stat-label">Transaksi</div>
                </div>
            </div>
            <div class="d-flex justify-content-center gap-3 mt-4">
                <a href="register.php" class="btn-cta">Daftar Sekarang</a>
                <a href="auctions.php" class="modern-btn modern-btn-primary">Lihat Lelang</a>
            </div>
            <div class="cta-security mt-4">
                <i class="fas fa-lock me-2"></i> Keamanan transaksi dijamin dengan teknologi enkripsi SSL 256-bit
            </div>
        </div>
    </div>
</section>

<!-- Partners Section -->
<section class="partners">
    <div class="container">
        <div class="section-title animate animate__animated animate__fadeInUp">
            <h2>Partner Resmi <span class="premium-badge badge-verified"><i class="fas fa-check-circle badge-icon"></i>Terverifikasi</span></h2>
            <p>Berkolaborasi dengan brand terkemuka untuk memberikan layanan terbaik dan terpercaya</p>
        </div>
        
        <div class="partner-logos-wrapper animate animate__animated animate__fadeInUp">
            <div class="row justify-content-center mb-5">
                <div class="col-lg-2 col-md-4 col-6 mb-4">
                    <div class="partner-logo">
                        <img src="images/sponsors/logo-1.png" alt="Bank Mandiri" onerror="this.src='images/sponsors/placeholder.png';">
                    </div>
                </div>
                <div class="col-lg-2 col-md-4 col-6 mb-4">
                    <div class="partner-logo">
                        <img src="images/sponsors/logo-2.png" alt="BCA" onerror="this.src='images/sponsors/placeholder.png';">
                    </div>
                </div>
                <div class="col-lg-2 col-md-4 col-6 mb-4">
                    <div class="partner-logo">
                        <img src="images/sponsors/logo-3.png" alt="Toyota" onerror="this.src='images/sponsors/placeholder.png';">
                    </div>
                </div>
                <div class="col-lg-2 col-md-4 col-6 mb-4">
                    <div class="partner-logo">
                        <img src="images/sponsors/logo-4.png" alt="Honda" onerror="this.src='images/sponsors/placeholder.png';">
                    </div>
                </div>
                <div class="col-lg-2 col-md-4 col-6 mb-4">
                    <div class="partner-logo">
                        <img src="images/sponsors/logo-5.png" alt="Mitsubishi" onerror="this.src='images/sponsors/placeholder.png';">
                    </div>
                </div>
                <div class="col-lg-2 col-md-4 col-6 mb-4">
                    <div class="partner-logo">
                        <img src="images/sponsors/logo-6.png" alt="BMW" onerror="this.src='images/sponsors/placeholder.png';">
                    </div>
                </div>
            </div>
        </div>

        <!-- Bank Badges Section -->
        <div class="section-subtitle animate animate__animated animate__fadeInUp">
            <h3>Bank Partner <span class="badge bg-success"><i class="fas fa-check-circle"></i> Official</span></h3>
            <p>Bekerja sama dengan bank terpercaya untuk kemudahan transaksi Anda</p>
        </div>
        
        <div class="bank-badges animate animate__animated animate__fadeInUp mb-5">
            <div class="bank-badge">
                <img src="images/banks/bca.png" alt="BCA" onerror="this.src='images/banks/bank-placeholder.png';">
            </div>
            <div class="bank-badge">
                <img src="images/banks/mandiri.png" alt="Mandiri" onerror="this.src='images/banks/bank-placeholder.png';">
            </div>
            <div class="bank-badge">
                <img src="images/banks/bni.png" alt="BNI" onerror="this.src='images/banks/bank-placeholder.png';">
            </div>
            <div class="bank-badge">
                <img src="images/banks/bri.png" alt="BRI" onerror="this.src='images/banks/bank-placeholder.png';">
            </div>
            <div class="bank-badge">
                <img src="images/banks/cimb.png" alt="CIMB Niaga" onerror="this.src='images/banks/bank-placeholder.png';">
            </div>
            <div class="bank-badge">
                <img src="images/banks/permata.png" alt="Permata" onerror="this.src='images/banks/bank-placeholder.png';">
            </div>
            <div class="bank-badge">
                <img src="images/banks/btn.png" alt="BTN" onerror="this.src='images/banks/bank-placeholder.png';">
            </div>
            <div class="bank-badge">
                <img src="images/banks/danamon.png" alt="Danamon" onerror="this.src='images/banks/bank-placeholder.png';">
            </div>
        </div>
        
        <!-- Payment Methods Section -->
        <div class="section-subtitle animate animate__animated animate__fadeInUp">
            <h3>Metode Pembayaran <span class="badge bg-primary"><i class="fas fa-shield-alt"></i> Secure</span></h3>
            <p>Berbagai metode pembayaran aman dan terpercaya untuk kenyamanan Anda</p>
        </div>
        
        <div class="badge-container animate animate__animated animate__fadeInUp mb-5">
            <div class="payment-badge">
                <img src="images/payment/visa.png" alt="Visa" onerror="this.src='images/payment/card-placeholder.png';">
                <span class="payment-badge-label">Visa</span>
            </div>
            <div class="payment-badge">
                <img src="images/payment/mastercard.png" alt="Mastercard" onerror="this.src='images/payment/card-placeholder.png';">
                <span class="payment-badge-label">Mastercard</span>
            </div>
            <div class="payment-badge">
                <img src="images/payment/gopay.png" alt="GoPay" onerror="this.src='images/payment/ewallet-placeholder.png';">
                <span class="payment-badge-label">GoPay</span>
            </div>
            <div class="payment-badge">
                <img src="images/payment/ovo.png" alt="OVO" onerror="this.src='images/payment/ewallet-placeholder.png';">
                <span class="payment-badge-label">OVO</span>
            </div>
            <div class="payment-badge">
                <img src="images/payment/dana.png" alt="DANA" onerror="this.src='images/payment/ewallet-placeholder.png';">
                <span class="payment-badge-label">DANA</span>
            </div>
            <div class="payment-badge">
                <img src="images/payment/linkaja.png" alt="LinkAja" onerror="this.src='images/payment/ewallet-placeholder.png';">
                <span class="payment-badge-label">LinkAja</span>
            </div>
            <div class="payment-badge">
                <img src="images/payment/shopeepay.png" alt="ShopeePay" onerror="this.src='images/payment/ewallet-placeholder.png';">
                <span class="payment-badge-label">ShopeePay</span>
            </div>
            <div class="payment-badge">
                <img src="images/payment/virtual-account.png" alt="Virtual Account" onerror="this.src='images/payment/bank-placeholder.png';">
                <span class="payment-badge-label">Virtual Account</span>
            </div>
        </div>
        
        <!-- Security Badges -->
        <div class="security-badges text-center mt-4 animate animate__animated animate__fadeInUp">
            <div class="d-inline-block mx-3 mb-3">
                <img src="images/badges/ssl-secure.png" alt="SSL Secure" height="50" onerror="this.src='images/badges/placeholder.png';">
            </div>
            <div class="d-inline-block mx-3 mb-3">
                <img src="images/badges/pci-compliant.png" alt="PCI Compliant" height="50" onerror="this.src='images/badges/placeholder.png';">
            </div>
            <div class="d-inline-block mx-3 mb-3">
                <img src="images/badges/trusted-payment.png" alt="Trusted Payment" height="50" onerror="this.src='images/badges/placeholder.png';">
            </div>
            <div class="d-inline-block mx-3 mb-3">
                <img src="images/badges/verified-business.png" alt="Verified Business" height="50" onerror="this.src='images/badges/placeholder.png';">
            </div>
        </div>
        
        <div class="security-statement text-center mt-3 animate animate__animated animate__fadeInUp">
            <p><i class="fas fa-shield-alt text-success me-2"></i> Semua transaksi pada platform kami dilindungi dengan sistem keamanan SSL 256-bit dan PCI-DSS Compliance.</p>
        </div>
    </div>
</section>

<script>
document.addEventListener('DOMContentLoaded', function() {
    // Counter animation
    const counters = document.querySelectorAll('.counter');
    const speed = 200;
    
    counters.forEach(counter => {
        const target = +counter.getAttribute('data-count');
        const increment = target / speed;
        let current = 0;
        
        const updateCount = () => {
            if (current < target) {
                current += increment;
                counter.innerText = Math.ceil(current).toLocaleString('id-ID');
                setTimeout(updateCount, 1);
            } else {
                counter.innerText = parseInt(target).toLocaleString('id-ID');
            }
        };
        
        updateCount();
    });
    
    // Add animation classes on scroll
    const animateOnScroll = function() {
        const elements = document.querySelectorAll('.animate:not(.animate__animated)');
        
        elements.forEach(element => {
            const elementPosition = element.getBoundingClientRect().top;
            const windowHeight = window.innerHeight;
            
            if (elementPosition < windowHeight - 50) {
                // Add random animation from a set of animations
                const animations = [
                    'animate__fadeIn',
                    'animate__fadeInUp',
                    'animate__fadeInLeft',
                    'animate__fadeInRight'
                ];
                
                const randomAnimation = animations[Math.floor(Math.random() * animations.length)];
                element.classList.add('animate__animated', randomAnimation);
            }
        });
    };
    
    // Run on page load and scroll
    animateOnScroll();
    window.addEventListener('scroll', animateOnScroll);
});
</script>

<!-- Pass fake transaction data to JavaScript -->
<script>
    window.fakeTransactions = <?php echo json_encode($fake_transactions); ?>;
</script>

<!-- Modern Notifications Script -->
<script src="js/modern-notifications.js"></script>

<!-- Include Featured Auctions Section -->
<?php include("featured-auctions.php"); ?>

<!-- Include How It Works Section -->
<?php include("how-it-works-section.php"); ?>

<!-- Include Testimonials Section -->
<?php include("testimonials-section.php"); ?>

<!-- Include CTA Section -->
<?php include("cta-section.php"); ?>

<?php include("includes/footer.php"); ?>