-- Push Notifications Tables
-- LelangMobil Web App - Versi 2025

-- Create push_subscriptions table
CREATE TABLE IF NOT EXISTS `push_subscriptions` (
  `id` INT AUTO_INCREMENT PRIMARY KEY,
  `user_id` INT NOT NULL,
  `subscription` TEXT NOT NULL,
  `created_at` TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  `updated_at` TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  FOREIGN KEY (`user_id`) REFERENCES `users`(`user_id`) ON DELETE CASCADE
);

-- Create system_notifications table
CREATE TABLE IF NOT EXISTS `system_notifications` (
  `id` INT AUTO_INCREMENT PRIMARY KEY,
  `title` VARCHAR(255) NOT NULL,
  `message` TEXT NOT NULL,
  `url` VARCHAR(255),
  `user_type` ENUM('all', 'admin', 'specific') NOT NULL DEFAULT 'all',
  `user_ids` TEXT,
  `sent` TINYINT(1) NOT NULL DEFAULT 0,
  `send_time` TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  `sent_time` TIMESTAMP NULL,
  `created_at` TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  `created_by` INT,
  FOREIGN KEY (`created_by`) REFERENCES `users`(`user_id`) ON DELETE SET NULL
);

-- Add notification_sent column to vehicles table
ALTER TABLE `vehicles` 
ADD COLUMN IF NOT EXISTS `notification_sent` TINYINT(1) DEFAULT 0;

-- Add notification_sent column to transactions table
ALTER TABLE `transactions` 
ADD COLUMN IF NOT EXISTS `notification_sent` TINYINT(1) DEFAULT 0;

-- Add VAPID keys to settings table
INSERT INTO `settings` (`setting_key`, `setting_value`) VALUES
('vapid_public_key', 'BNbKwE3nM_kxfYV9Zf8QZ-NlJR2xV0IzIQQwRJ9Vj9mGZ6m9vJXEX3KGdQSKMqYfL37Bmlnff9-LkZ9ZEOAV9Sc'),
('vapid_private_key', 'cSfcA5B8YxTrOgH7rJg7tGp18-K0hQujzJLEYXpGiRU')
ON DUPLICATE KEY UPDATE `setting_value` = VALUES(`setting_value`);