<?php
/**
 * Testimonials Section Component for Index Page
 * LelangMobil Web App - Versi 2025
 */
?>

<!-- Testimonials Section -->
<section class="testimonials-section section-padding" id="testimonials">
    <div class="container">
        <div class="section-title text-center" data-aos="fade-up">
            <span class="section-subtitle">Kata Mereka</span>
            <h2>Apa yang Dikatakan Pelanggan Kami</h2>
            <p>Pengalaman pelanggan yang telah menggunakan platform lelang kami</p>
        </div>
        
        <div class="testimonials-container" data-aos="fade-up" data-aos-delay="200">
            <!-- Swiper Testimonials -->
            <div class="swiper testimonials-swiper">
                <div class="swiper-wrapper">
                    <!-- Testimonial 1 -->
                    <div class="swiper-slide">
                        <div class="testimonial-card">
                            <div class="testimonial-content">
                                <div class="testimonial-rating">
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                </div>
                                <p class="testimonial-text">
                                    "Saya awalnya ragu untuk membeli mobil melalui lelang online, tapi LelangMobil memberikan pengalaman yang luar biasa. Proses lelangnya transparan, kendaraan yang saya dapatkan sesuai dengan deskripsi, dan harganya sangat kompetitif."
                                </p>
                                <div class="testimonial-author">
                                    <div class="testimonial-author-img">
                                        <img src="images/testimonials/user-1.jpg" alt="Budi Santoso" onerror="this.src='images/avatar-placeholder.png';">
                                    </div>
                                    <div class="testimonial-author-info">
                                        <h4>Budi Santoso</h4>
                                        <p>Pengusaha, Jakarta</p>
                                        <p class="testimonial-date">Februari 2025</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <!-- Testimonial 2 -->
                    <div class="swiper-slide">
                        <div class="testimonial-card">
                            <div class="testimonial-content">
                                <div class="testimonial-rating">
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                </div>
                                <p class="testimonial-text">
                                    "Platform ini benar-benar mengubah cara saya membeli mobil. Saya bisa mendapatkan BMW X5 dengan harga jauh di bawah harga pasar. Proses penawarannya menyenangkan, dan layanan pasca lelang sangat membantu. Saya pasti akan kembali lagi!"
                                </p>
                                <div class="testimonial-author">
                                    <div class="testimonial-author-img">
                                        <img src="images/testimonials/user-2.jpg" alt="Siti Rahma" onerror="this.src='images/avatar-placeholder.png';">
                                    </div>
                                    <div class="testimonial-author-info">
                                        <h4>Siti Rahma</h4>
                                        <p>Dokter, Bandung</p>
                                        <p class="testimonial-date">Januari 2025</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <!-- Testimonial 3 -->
                    <div class="swiper-slide">
                        <div class="testimonial-card">
                            <div class="testimonial-content">
                                <div class="testimonial-rating">
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star-half-alt"></i>
                                </div>
                                <p class="testimonial-text">
                                    "LelangMobil memberikan pengalaman lelang yang aman dan terpercaya. Saya berhasil memenangkan Honda Civic Type R impian saya dengan harga yang sangat baik. Proses verifikasi dan pengecekan kendaraan sangat menyeluruh, membuat saya percaya diri dengan pembelian saya."
                                </p>
                                <div class="testimonial-author">
                                    <div class="testimonial-author-img">
                                        <img src="images/testimonials/user-3.jpg" alt="Reza Pratama" onerror="this.src='images/avatar-placeholder.png';">
                                    </div>
                                    <div class="testimonial-author-info">
                                        <h4>Reza Pratama</h4>
                                        <p>Developer, Surabaya</p>
                                        <p class="testimonial-date">Maret 2025</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <!-- Testimonial 4 -->
                    <div class="swiper-slide">
                        <div class="testimonial-card">
                            <div class="testimonial-content">
                                <div class="testimonial-rating">
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                </div>
                                <p class="testimonial-text">
                                    "Sebagai kolektor mobil, saya sangat menghargai kualitas inspeksi yang dilakukan LelangMobil. Setiap kendaraan dideskripsikan dengan detail, dan foto-foto yang disediakan sangat membantu. Saya sudah memenangkan 3 lelang dan selalu puas dengan hasilnya."
                                </p>
                                <div class="testimonial-author">
                                    <div class="testimonial-author-img">
                                        <img src="images/testimonials/user-4.jpg" alt="Hendra Wijaya" onerror="this.src='images/avatar-placeholder.png';">
                                    </div>
                                    <div class="testimonial-author-info">
                                        <h4>Hendra Wijaya</h4>
                                        <p>Kolektor Mobil, Medan</p>
                                        <p class="testimonial-date">April 2025</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <!-- Testimonial 5 -->
                    <div class="swiper-slide">
                        <div class="testimonial-card">
                            <div class="testimonial-content">
                                <div class="testimonial-rating">
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                </div>
                                <p class="testimonial-text">
                                    "LelangMobil memberikan transparansi yang saya cari dalam membeli mobil. Saya dapat melihat riwayat servis, hasil inspeksi, dan bahkan interaksi dengan pemilik sebelumnya. Mercedes C-Class yang saya menangkan dalam kondisi sempurna seperti yang dijanjikan."
                                </p>
                                <div class="testimonial-author">
                                    <div class="testimonial-author-img">
                                        <img src="images/testimonials/user-5.jpg" alt="Dewi Lestari" onerror="this.src='images/avatar-placeholder.png';">
                                    </div>
                                    <div class="testimonial-author-info">
                                        <h4>Dewi Lestari</h4>
                                        <p>CEO, Semarang</p>
                                        <p class="testimonial-date">Mei 2025</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                
                <!-- Add pagination -->
                <div class="swiper-pagination testimonials-pagination"></div>
            </div>
            
            <!-- Add navigation -->
            <div class="testimonials-navigation">
                <div class="testimonials-button-prev">
                    <i class="fas fa-chevron-left"></i>
                </div>
                <div class="testimonials-button-next">
                    <i class="fas fa-chevron-right"></i>
                </div>
            </div>
        </div>
        
        <!-- Trust Indicators -->
        <div class="trust-indicators mt-5" data-aos="fade-up" data-aos-delay="300">
            <div class="row justify-content-center">
                <div class="col-md-4 col-6">
                    <div class="trust-indicator-item text-center">
                        <div class="trust-indicator-icon">
                            <i class="fas fa-users"></i>
                        </div>
                        <h3 class="counter" data-count="5000">5,000+</h3>
                        <p>Pelanggan Puas</p>
                    </div>
                </div>
                <div class="col-md-4 col-6">
                    <div class="trust-indicator-item text-center">
                        <div class="trust-indicator-icon">
                            <i class="fas fa-car-alt"></i>
                        </div>
                        <h3 class="counter" data-count="3200">3,200+</h3>
                        <p>Kendaraan Terjual</p>
                    </div>
                </div>
                <div class="col-md-4 col-6">
                    <div class="trust-indicator-item text-center">
                        <div class="trust-indicator-icon">
                            <i class="fas fa-star"></i>
                        </div>
                        <h3>4.9/5</h3>
                        <p>Rating Rata-rata</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
