<?php
/**
 * Update Database for Password Reset
 * LelangMobil Web App - Versi 2025
 */

// Aktifkan error reporting dan logging
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Include database connection
require_once 'config/database.php';

// Check if the reset_token and reset_token_expiry columns exist in the users table
$check_columns_sql = "SHOW COLUMNS FROM users LIKE 'reset_token'";
$check_columns_result = $conn->query($check_columns_sql);

if ($check_columns_result->num_rows == 0) {
    // Add reset_token and reset_token_expiry columns
    $alter_table_sql = "ALTER TABLE users 
                        ADD COLUMN reset_token VARCHAR(100) NULL,
                        ADD COLUMN reset_token_expiry DATETIME NULL";
    
    if ($conn->query($alter_table_sql) === TRUE) {
        echo "Success: Added reset_token and reset_token_expiry columns to users table.<br>";
    } else {
        echo "Error adding columns: " . $conn->error . "<br>";
    }
} else {
    echo "Columns reset_token and reset_token_expiry already exist in users table.<br>";
}

// Check if the verification_token and token_expiry columns exist in the users table
$check_verification_columns_sql = "SHOW COLUMNS FROM users LIKE 'verification_token'";
$check_verification_columns_result = $conn->query($check_verification_columns_sql);

if ($check_verification_columns_result->num_rows == 0) {
    // Add verification_token and token_expiry columns
    $alter_verification_table_sql = "ALTER TABLE users 
                                    ADD COLUMN verification_token VARCHAR(100) NULL,
                                    ADD COLUMN token_expiry DATETIME NULL";
    
    if ($conn->query($alter_verification_table_sql) === TRUE) {
        echo "Success: Added verification_token and token_expiry columns to users table.<br>";
    } else {
        echo "Error adding verification columns: " . $conn->error . "<br>";
    }
} else {
    echo "Columns verification_token and token_expiry already exist in users table.<br>";
}

// Check if the is_verified column exists in the users table
$check_is_verified_sql = "SHOW COLUMNS FROM users LIKE 'is_verified'";
$check_is_verified_result = $conn->query($check_is_verified_sql);

if ($check_is_verified_result->num_rows == 0) {
    // Add is_verified column
    $alter_is_verified_sql = "ALTER TABLE users ADD COLUMN is_verified BOOLEAN DEFAULT FALSE";
    
    if ($conn->query($alter_is_verified_sql) === TRUE) {
        echo "Success: Added is_verified column to users table.<br>";
    } else {
        echo "Error adding is_verified column: " . $conn->error . "<br>";
    }
} else {
    echo "Column is_verified already exists in users table.<br>";
}

// Check if the remember_token column exists in the users table
$check_remember_token_sql = "SHOW COLUMNS FROM users LIKE 'remember_token'";
$check_remember_token_result = $conn->query($check_remember_token_sql);

if ($check_remember_token_result->num_rows == 0) {
    // Add remember_token column
    $alter_remember_token_sql = "ALTER TABLE users ADD COLUMN remember_token VARCHAR(100) NULL";
    
    if ($conn->query($alter_remember_token_sql) === TRUE) {
        echo "Success: Added remember_token column to users table.<br>";
    } else {
        echo "Error adding remember_token column: " . $conn->error . "<br>";
    }
} else {
    echo "Column remember_token already exists in users table.<br>";
}

// Check if the last_login column exists in the users table
$check_last_login_sql = "SHOW COLUMNS FROM users LIKE 'last_login'";
$check_last_login_result = $conn->query($check_last_login_sql);

if ($check_last_login_result->num_rows == 0) {
    // Add last_login column
    $alter_last_login_sql = "ALTER TABLE users ADD COLUMN last_login DATETIME NULL";
    
    if ($conn->query($alter_last_login_sql) === TRUE) {
        echo "Success: Added last_login column to users table.<br>";
    } else {
        echo "Error adding last_login column: " . $conn->error . "<br>";
    }
} else {
    echo "Column last_login already exists in users table.<br>";
}

// Set all existing users as verified
$update_verified_sql = "UPDATE users SET is_verified = TRUE WHERE is_verified IS NULL OR is_verified = FALSE";
if ($conn->query($update_verified_sql) === TRUE) {
    echo "Success: Set all existing users as verified.<br>";
} else {
    echo "Error updating users: " . $conn->error . "<br>";
}

echo "<br>Database update completed!";
?>